v4.78 - May 4 2015
  + AU: fixed informing plugins of project repeat state
  + DDP: fixed error handling cases
  + FX: reset PDC when offlining FX
  + MIDI SPP: fixed SPP sending with project measure offsets at t=0, send SPP when stopped/seeking to t=0, other fixes
  + Media item properties: fixed undocked window position restoring
  + Metronome: count-in sound quality fixes
  + Mixer: fixed FX add menu not always updating properly
  + OSX: CoreAudio latency detection improvements
  + OSX: fixed UI issues with listviews on Yosemite and trackpads
  + ReaControlMIDI: fixed pitch automation issue
  + Routing window: fixed default initial position bug
  + Transport: fixed potential display corruption on win32 and when docked above ruler
  + VST: whitelist Voxengo plug-ins to use effSetSpeakerArrangement by default

v4.77 - February 7 2015
  + Item editing: trim behind mode better handles exactly-overlapping items
  + Item fades: fixed potential for invalid output in certain but rare fades
  + JSFX: fixed last touched parameter when skipping sliders [t=152326]
  + JSFX: support for naming sliderXY variables via @sliderx:varname=defval<... syntax
  + MIDI: fixed encoding of linear tempo changes in exported MIDI
  + MIDI: .mid file writing fixed when ticks per QN is configured higher than 64k
  + Media explorer: support for MIDI/OSC action binding
  + Media explorer: fixed potential crash with bad timestamps [p=1473130]
  + Media item properties: fixed start offset adjustment when using take playrates
  + Preferences: fixed track icon alignment setting [p=1473659]
  + Preferences: fixed setting of no track grouping indicator [t=140835]
  + Project tabs: fixed hide/restore of input FX windows on tab switch
  + Render queue: fixed invalid render directories/filenames in certain instances [issueid=5459]
  + Ripple editing: fixed moving items with other locked items at same position [issueid=5490]
  + Screensets: better project tab support for FX
  + Screensets: fixed screenset issues with input FX and hardware FX
  + Undo: improved FX envelope panel undo behavior
  + VST: fixed incorrect latency reporting when changing pin connections

v4.76 - December 15 2014
  + Editing: show horizontal guide lines when moving envelope points/segments, and media items in free item positioning mode
  + Elastique 3: new version, also re-fixed the multichannel issue on win32
  + Envelopes: fixed the option 'Add edge points when moving envelope points' [t=149947]
  + Envelopes: fixed various take envelopes/points selection buglets
  + Envelopes: improved marquee-selection [issueid=5405]
  + Envelopes: restored move/copy envelope points within item bounds instead of start of next item [t=149947]
  + Frame rate grid: corrected 29.97DF grid/snap behavior
  + Media explorer: peaks drawing fixes/optimizations
  + Media items: fixed potential volume/pan/pitch adjustment issues vs item locking [t=149626]
  + Multitouch: improved Windows 8.1 multitouch behavior
  + Project: allow user defined framerates
  + ReaPitch: fixed potential crash when loading presets
  + ReaSurround: don't rotate diffusion fields while rotating input sources
  + ReaVerb: better handling of impulse response file gain, deprecated old normalize options
  + Ripple edit all tracks: re-ripple things after locked items, if some items are selected there too
  + Undo: added undo points when selecting envelope points via mouse clicks
  + Undo: fixed envelope edition undo which was also changing lane height in certain instances
  + Video: fixed leak in bridged-quicktime mode
  + Video: fixed leaks when using multiple copies of the same image or GIF
  + Video: fixed memory leak with ffmpeg/libav 5.4
  + Video: fixed support for decoding various obscure colorspaces with VLC

v4.75 - November 7 2014
  + API: added GetGlobalAutomationOverride, SetGlobalAutomationOverride
  + API: added SetCursorContext (to change the focus programmatically and track/take envelope selection)"
  + API: fixed TrackFX_GetEQParam for gain parameters
  + Automation: Fixed global override button not being refreshed on project load/switches
  + Elastique 3: multichannel fixes [p=1405961]
  + Envelopes: fixed jumpy envelope points with the option 'Envelope point selection follows time selection' [t=141650]
  + Envelopes: track FX envelopes read unarmed automation in write mode [p=1406607]
  + Envelopes: Arm buttons display a 'pushed' state regardless of the automation mode
  + Fixed cursor context issues, e.g. context lost (OSX) or changed (Win) after clicking a docked toolbar button
  + JSFX: fixed slider_automate() not obeying to the preference 'Automatically add envelopes when tweaking parameters in automation write modes' [t=147151]
  + MIDI editor: fixed display/UI issues on projects with partial measures [p=1412988]
  + Mixer: fixed input label not being refresh in certain instances [t=145316]
  + Mixer: improved right-click on master track selection behavior
  + OSC: fixed master solo feedback [issueid=5343]
  + OSC: fixed volume feedback issues [issueid=5172][issueid=5171]
  + OSX: Fixed contextual key shortcuts not passing through some windows (copy, paste, delete, etc)
  + OSX: added 'Backspace' default key shortcut to delete things in managers, project bay, etc
  + Playback: fixed hangs when changing playrate while paused [p=1419006]
  + Playback: small optimization to sends/PDC related code
  + Project bay: if moving files fails, fall back to copying them (and trying to delete)
  + Project bay: show copy status window when copying files
  + Project bay: show errors when renaming/copying files
  + ReaScript: display an error message when running invalid scripts (e.g. file not found)
  + ReaScript: display more details when Python initialization fails [t=148223]
  + ReaSurround: recalculate channel outputs when automating speaker gain [t=145825]
  + Render: update rather than close configuration window when changing project tabs
  + Render: fixed samplerate display issues in render queue [issueid=5380]
  + Ripple edit: action 'Options: Ripple editing: Per-track/All tracks' reports a toggle state
  + Ripple edit: better behavior moving/pasting/removing items with later locked items
  + Ripple edit: option for how to handle locked items (prefs/editing behavior/ripple editing)
  + Undo: action 'Master Track: Toggle stereo/mono' creates an undo point [t=148088]
  + Video: fixed EOF issue with certain files and DirectShow
  + Video: fixed OSX display switching from YV12 to YUV/RGB
  + Video: fixed potential incorrect layering orders
  + Video: search for ffmpeg binaries in appdata:UserPlugins\64 on win64 (allowing separate 32 and 64 bit installs)
  + Video: section sources are supported for determining video frame

v4.731 - September 26 2014
  + OSX: updated signing for OSX 10.9.5+
  + Tab to transient: fixed MIDI transient inaccuracies [issueid=5310]
  + WAV reading: fixed incorrect reading of files with 125 or more bytes per sample-frame (e.g. 48+ channel 24 bit files)

v4.73 - September 17 2014
  + Actions: Fixed 'FX: Set MIDI learn for last touched FX parameter' when triggered from MIDI controllers [issueid=3241]
  + AU: fixed PDC failures when track channel counts change
  + Duplicate item actions: improved undo [issueid=3895]
  + Items: fixed 'Duplicate items' misbehaviour with ripple editing [issueid=5028]
  + Items: fixed item edge locking [issueid=4635]
  + Menu bar: fixed mangling of UTF-8 characters when truncating action strings [p=1392171]
  + ReaControlMIDI: support all 14 bit resolution CC pairs
  + ReaScript: load several scripts in one go
  + ReaVerb: improved handling of certain low-level mono signals [t=146070]
  + Recording: optimized disk writing buffers
  + Recording: changed OSX default write mode to unbuffered, reduced buffer size
  + Render Region Matrix: fixed unselected region rendering [t=144926]
  + Stretch markers: auto-seek when editing stretch markers and auto-seek-on-edit is set in prefs
  + Timestretch: fixes to extreme stretch logic
  + Timestretch: added the fantastique elastique v3
  + Track FX envelopes: fixed inserted points despite automation lane not armed [issueid=5189]
  + Undo: fixed edit cursor being sometimes moved despite preferences
  + VST: support for effCanBeAutomated to allow plug-ins to not show hidden parameters

v4.721 - August 19 2014
  + API: fixed GetSetTrackSendInfo() UI refresh issues [issueid=2642]
  + MIDI editor: fixed toggle states of Humanize/Transpose notes actions
  + ReaNinjam: fixed chat window crash [p=1390449]
  + Stretch markers: fixed marker visibility bugs when using take playrates

v4.72 - August 14 2014
  + API: PluginPreventUIRefresh() also prevents track control updates
  + API: improved API header generation (user configurable output, options)
  + API: fixed some routing display issues [issueid=2642]
  + Auto-record arm: faster changing of mode for large track counts
  + Auto-record arm: fixed multiple undo points being added when toggling setting
  + Items: fixed possible crash when removing take envelopes
  + Items: pitch envelopes that are inactive are properly ignored (and do not use pitch shifting)
  + MIDI editor: click on ruler or arrange view follows main preference to seek playback
  + MIDI editor: drawing performance improvements
  + MIDI editor: fixed some mouse-click modifiers in the MIDI ruler [t=142926]
  + Media explorer: preview is less interrupted by active project actions
  + Media explorer: ignore corrupted embedded tempo/beat information [p=1230963]
  + Menus: avoid redundant regeneration of customized menus [t=138909]
  + Performance: reduced excessive audio locking from many less-often-used actions
  + Performance: do not block audio threads when closing/reinitializing MIDI devices
  + Performance: reduced excessive locking in track envelope window
  + Performance: unfreeze no longer blocks audio from other projects
  + Performance: faster performance when using many tracks that are not visible in track list
  + Performance: faster/smoother updating when vertical zooming arrange view
  + Projects: warnings give more details about missing features/plugin extensions
  + Projects: when prompting for loaded project on startup, show more information on previous tabs
  + ReaScript: fixed invalid undo state when script is not found
  + ReaScript: fixed learned MIDI CCs in relative modes [p=1385371]
  + Region manager: fixed region/marker deletion [p=1380857]
  + Render: if the rendered time selection coincides with a project region, support the $region wildcard for the rendered file name [t=143220]
  + Stability: fixed clipping overflow bugs in various graphics fill/blit functions
  + Stability: possible fix for certain menu-related crashes on OSX [t=138909]
  + Toolbars: fixed button state flashes [t=143358]
  + Track manager: improved function of link TCP/mixer visibility [issueid=5255]
  + Transport: avoid edit auto-committing in newly activated projects [issueid=5147]
  + Video: animated .gif files can now be inserted into projects and played as video
  + WAV: corrected padding of data chunk for wav/w64 when the final chunk in file [t=143130]

v4.71 - July 15 2014
  + Audio Units: Windows build properly maintain Audio Unit state
  + Audio Units: better display sorting in FX browser
  + Audio Units: better identification of plug-ins, handling of changing plug-in names
  + Media explorer: fixed intermittent seek behavior
  + Mouse modifiers: restored previous default behavior of mouse middle button click (move edit cursor ignoring snap) [t=142676]
  + UI: small optimizations to graphics performance

v4.7 - July 9 2014
  + API: GetSetObjectState/GetSetObjectState2 support take envelopes
  + API: added GetSelectedEnvelope
  + API: added IsREAPER (vs running in ReaMote)
  + API: added ReverseNamedCommandLookup
  + API: added SetProjectMarker4 and SetProjectMarkerByIndex2 (which are able to clear marker/region names)
  + API: added Splash_GetWnd (to allow display of error messages over the splash)
  + API: fixed TrackFX_SetPresetByIndex and TrackFX_NavigatePresets [issueid=4935]
  + API: plugin extensions can register post-action hooks [t=139449]
  + Audio Units: use new Audio Unit API for increased compatibility on 10.6 and newer
  + Actions: toggle track solo/mute/FX bypass/record-arm/visibility report ON/OFF states
  + Actions: selected track under mouse cursor will scroll track into view in other contexts
  + Actions: added nudge take/item volume +1db/-1dB, or reset item to 0dB
  + Actions: explode multichannel media now obeys render/glue format option [issueid=5260]
  + Actions: fixed reported state of 'Toggle track zoom to minimum height' [issueid=5219]
  + Actions: 'Minimize all tracks' no longer toggles [issueid=5220]
  + Actions: 'Monitoring FX: toggle bypass' now reports state
  + FX Browser: right-click menu can insert FX with user preset loaded
  + FX: fixed Program Change menu item issues [issueid=4910]
  + FX: fixed AU and VST plugin window and generic UI refresh on factory preset changes via MIDI PC or API
  + FX: added support for linking JSFX preset to MIDI Program Change
  + FX: JSFX OSX retina support for UIs, set gfx_ext_retina to 1 in @init, check for 2 in @gfx
  + FX: JSFX pin mapper properly ignores output pin assignments when JSFX have no outputs defined
  + JS/midi_humanizer: fixed note-offs (thanks DarkStar)
  + Localization: fix for window titles supporting multiple code pages
  + Localization: fixed potential misbehaviors in the MIDI Editor
  + Localization: fixed marker/region import [t=141703]
  + Main menu: audio device status shows physical interface channel counts, not virtualized channel counts
  + MIDI: added option to consolidate MIDI as .MID file
  + MIDI: fixed channel filter in MIDI source properties [issueid=5258]
  + MIDI: added mouse modifier context for ruler marker/region lanes, scroll/zoom support
  + MIDI: display MIDI program name in event list view
  + MIDI: actions to replace or merge MIDI note names
  + MIDI: improved editor ruler display
  + Media explorer: configurable pitch shift knob range, options to move in semitones or quarter tones
  + Media explorer: option to preserve pitch shift setting when changing media
  + Media explorer: control+drag to horizontally zoom peaks preview display
  + Media explorer: do not stop preview playback when selecting folders
  + Media explorer: fixed zipper noises when changing preview volume
  + Media explorer: improved interaction with audio device closing
  + Media explorer: improved selection behavior in native listview mode
  + Media item properties: HMSF time mode for item position/length
  + Mixer: 'Go to send destination' tweaks [issueid=5152]
  + Mouse modifiers: reverse handscroll zoom behavior is now a global preference rather than a separate mouse modifier [p=1372497]
  + OSX: much faster drawing for Retina Macs
  + OSX: faster drawing on newer OSX versions
  + Performance meter: additional ReaMote column when ReaMote is enabled
  + Performance meter: optimized display, sortable columns
  + Performance: improved track panel/mixer panel UI behavior/performance with large track counts [p=1361432]
  + Performance: various FX preset improvements
  + Performance: Region manager better handles large region/marker counts
  + Performance: Region render matrix better handles large region counts
  + Performance: Track manager better handles large track counts
  + Project Bay: fixed changing FX presets from bay
  + Project settings: improved media format options for glue/apply fx/etc
  + Project tabs: save project tab list on exit, restore on startup
  + Project tabs: option to prompt for action on startup (last project, last project tabs, recent projects, new project, etc)
  + Project tabs: option to prompt on startup when project previously failed to load
  + Project tabs: new actions including 'Close all project but current' and 'New project tab (ignore default template)'
  + Project tabs: improved prompt for save before exiting (show a list of all unsaved projects)
  + RS5k: fixed UI issues with parameter automation/modulation [p=1354370]
  + Region/Marker manager: fixed text filter not being restored [t=142127]
  + Render: fixed incorrect peak drawing used with resampling [p=1354859]
  + Render: new idle-priority offline rendering options
  + Theme: fix for clipped master track fader text
  + Track manager: option to automatically scroll to selected track works when selecting tracks outside of the track manager
  + Transport: fixed labels for transport docked actions, other buglets
  + Undo: changing track selection via right-click creates an undo point (if the related option is enabled, in preferences/general)
  + Windows: insert media files menu/action uses Vista+ file browser, if relevant
  + Windows: allow choosing audio thread priority for non-ASIO modes, (default) MMCSS support
  + Windows: WaveOut, Kernel Streaming, and WASAPI modes use device names for configuration
  + Windows: WASAPI bug fixes, compatibility and performance improvements

v4.62 - May 12 2014
  + Actions: fixed typo in "Go to end/start of loop" action names [issueid=5148]
  + API: fixed RenderFileSection() return value
  + API: plugin extensions can register MIDI/OSC learn-able actions [issueid=1465]
  + API: plugin extensions can register actions in any section [issueid=2704]
  + API: plugin extensions can register toggle actions in any section
  + Envelopes: cut/paste respects project and track timebase [t=138721]
  + FX: fix for FX browser context menu issues on secondary monitors [t=105372]
  + FX: fixed timing issues with looped PDC+MIDI [issueid=5178]
  + FX: optional auto-positioning of FX chains and floating FX windows, improved default positioning
  + JSFX: added support for reading various media types that REAPER supports (including FLAC, WavPack, etc)
  + JSFX: gfx_arc() overdraw fixes
  + Localization: fixed browse for directory issues [p=999028]
  + Localization: fixed Screensets/Layouts shortcut issues
  + Localization: allowed localization of toolbar names
  + Localization: various fixes [p=986042][p=1075736][p=1300076][p=1300215][p=1298980][p=1005350][p=1339556][p=1002017]
  + MIDI editor: display on/off states in the action list when relevant
  + MIDI editor: added action to show list of MIDI note name files at cursor
  + MIDI editor: list recent note name files in File/Customize note names menu
  + MIDI: fixed various timing problems with playback, display, and export when the user creates a project tempo map containing partial measures [t=137800]
  + Mouse modifiers: added separate context for marker/region lanes (above the timeline)
  + Mouse modifiers: added new scroll/zoom actions  
  + Preferences: consolidated TCP, VU meter, and fader preferences onto one page
  + ReaScript: avoid excess Undo_OnStateChange() calls and stale undo blocks for non-deferred scripts
  + Render wildcards: improved support for abbreviated wildcards to match older versions [p=1347825]
  + Render wildcards: hardened $itemnumber wildcard [t=138655]
  + Ruler: changes to timeline appearance, customizable distance between timeline text labels
  + Ruler: new minimal-beats view mode
  + Ruler: separate theme colors for measure vs other markings
  + Stability: fixed possible crash on exit when using RX2 files
  + Stability: fixed multiproject related stability issues (JeffOS is awesome)
  + Stability: reverted change from 4.611 which caused some VSTs to crash on exit
  + Toolbars: allow customizing the names of builtin toolbars
  + VST: fixed MIDI output disable mode
  + Windows: avoid msvcrt.dll dependency in win32 builds

v4.611 - April 13 2014
  + Cockos: Welcome JeffOS
  + Envelopes: fixed move segment preserving end values with square points [t=137814]
  + FX: keyboard shortcut to replace FX preserving routing changed from R to Ctrl+R
  + Items: fixed random noise being possible for unlooped items with negative start offsets [issueid=5131]
  + Licensing: about box now has option to show only personal or small business use in titlebar for this license type
  + JSFX: gfx_arc() drawing fix [t=137487]
  + MIDI editor: fixed behavior when using one editor per project [t=137200]
  + MIDI editor: fixed unexpected behavior of action to set CC lane (custom keyboard shortcuts for this action will need to be reset) [t=136834]
  + Peaks: memory mapped peak files are off by default to save address space/better deal with lost disks
  + Projects: fixed encoding of certain strings with quotes in them (group and comp names)
  + Projects: fixed decoding of certain (rare) strings
  + ReaInsert: added new (default) option to use audio device reported latency rather than relying solely on ping tests
  + ReaScript: fixed GetToggleCommandState2 to work with other sections
  + ReaScript: fixed MIDI text/sysex event get/set support [p=1332269]
  + ReaScript: fixed MIDI_SetTextSysexEvt and MIDI_GetTextSysexEvt (note: for sysex the supplied/returned message no longer includes the bounding 0xF0/0xF7)
  + Screensets: much faster saving, faster loading
  + Stability: fixed potential crash on exit introduced in 4.61
  + Stability: fix for potential UI hang with linear tempo transitions on Win64 [t=137775]
  + Track routing: routing window visual alignment fixes
  + VST: no longer unload plug-ins DLLs on exit
  + Windows: fixed menu language pack issue [p=1298980]

v4.61 - March 20 2014
  + Automation: option to not reset latch state on loop [issueid=5000]
  + FX: menu actions to replace or quick-replace an effect preserving routing
  + Glue: when glueing all muted items, produce muted result
  + Items: fixed buttons on very large/zoomed media items
  + Items: fixed interaction between editing take start offset and warp markers in item properties dialog [issueid=5095]
  + Items: avoid playback glitch with negative section start offsets
  + JS: allow "filename:png" lines with indexes more than 128
  + MIDI editor: fixed behavior when using one editor per track [p=1325396]
  + MIDI: CC chase bug fix [issueid=3639]
  + MIDI: when edits result in MIDI events that do not pass the filter, disable the filter
  + Missing file window: show current project [issueid=4763]
  + OSC: improved controller feedback for transport state (play/pause/record/stop)
  + OSX: fixed 10.4 top level menu issues introduced in 4.33
  + OSX: optimized drawing in certain partial-update situations
  + OSX: support receiving long sysex messages from hardware
  + Performance: option to use new worker thread scheduling logic which can use less CPU
  + Performance: reduced CPU overhead of silent tracks when stopped, similar option for playback
  + Performance: reduced memory usage when viewing projects with many audio items
  + Performance: improved performance of note range calculations for tracks with many MIDI items
  + Performance: faster/safer exit process
  + Performance: better OSX splash screen updating
  + Performance: faster OSX track creation/loading
  + Performance: faster loading/saving and undo-point creation
  + Plugins: native plug-ins are no longer unloaded at exit on Win32
  + RS5k: fixed text field UI when automating parameters
  + Recording: support for wildcards when automatically naming recording files
  + Render: added wildcards for start and end time
  + Screensets: docker related screenset fixes
  + Scrolling: improved autoscroll behavior in arrange view and maximized mixer
  + Stability: fixed potential crash when showing media items in lane and resizing track height [p=1329018]
  + Stability: fixed potential crash when sending automated FX parameter updates via OSC
  + Stability: small optimizations and buffer overflow protection
  + Stretch markers: fixed playback error when using unlooped items and start offset is negative [issueid=5116]
  + Stretch markers: update video preview position when editing stretch markers
  + Theme: added toolbar_filter_solo (for MIDI toolbar)
  + Track autonaming: removal of trailing numbers is now optional and off by default
  + Undo: last undo state shown in menu bar is now constrained in size

v4.602 - March  2 2014
  + MIDI: export project name to tempo track [t=136304]

v4.601 - March 2 2014
  + Prefs: allow -inf for track/send/hardware output default volumes [t=136227]
  + Smooth seek: fixed smooth seek at region end (also fixes Region Playlist extension) [t=136231]
  + Title bar: fixed duplicate text [p=1322304]

v4.60 - February 28 2014
  + Cues: fixed legacy API support for media item cues [t=135186]
  + FX: fixed keyboard navigation in FX chains on Windows
  + FX: update FX chain window after copying FX from TCP or mixer [p=1303951]
  + JS: added jnif's excellent sequencer_baby mod as sequencer_megababy
  + JS: floaty_delay glitch fix
  + JS: added gfx_circle, gfx_arc, and gfx_roundrect
  + JS: added globals() keyword for functions, can be used to restrict access to global variables/namespaces
  + JS: added midisend(ts,msg1,msg2,msg3) and midirecv(ts,msg1,msg2,msg3) for improved readability
  + JS: added midisend_buf(ts,buf,length) and midirecv_buf(ts,buf,maxlen), useful for send/receive of both normal MIDI data and sysex
  + JS: added midisend_str(offs,str), midirecv_str(offs,str)
  + JS: added mouse_wheel and mouse_hwheel, time(), time_precise()
  + JS: fixed 4096 point MDCT
  + JS: fixed gfx positioning with large fonts, made requested size more likely to be used
  + JS: fixed sizing issue on OSX [t=133665]
  + JS: gfx_getchar() support, use with no parameter to get a key ('a', '1', 'f1', 'up', 'down', etc), or with gfx_getchar('up') to get status of a key
  + JS: gfx_loadimg() now supports JPG, PCX, ICO, BMP, LVG in addition to PNG
  + JS: optimized midisyx()
  + JS: "options:" can now include gmem=namedpool, which allows plugins to allocate their own shared gmem[], which also increases the size of gmem[] to 8M entries (from the default 1M)
  + JS: "options:want_all_kb" support for defaulting to plug-in gets all keys
  + JS: plugin instances with @gfx sections will remember their sizes after user resize [issueid=5003]
  + JS editor: fixed bugs in find function [issueid=5004]
  + JS editor: configurable per-file tab size, use "tabsize:X" before @init to configure
  + Joysticks: allow use of all ReaScript/EEL APIs from joystick scripts, including gfx_*()
  + MIDI editor: actions to invert chord voicings
  + MIDI editor: actions to reverse or invert selected events
  + MIDI editor: filter solo (play only events that pass through the filter)
  + MIDI editor: filter supports a range of parameters (note values, MIDI programs, etc)
  + MIDI editor: filter supports event position within measure
  + MIDI editor: fixed opening MIDI editor via action with certain editor preferences set
  + MIDI editor: fixed velocity lane editing on OSX [p=1300156]
  + MIDI editor: if white/black piano roll theme colors are identical, draw horizontal lines to separate notes
  + MIDI editor: right-drag piano keys to select a range of notes
  + MIDI export: fixed exporting project cues along with MIDI tempo map [t=135830]
  + MIDI: do not import or export track name messages to/from the tempo track
  + MIDI: fixes to sorting when merging multiple MIDI streams [issueid=5068]
  + Media items: better display of item buttons when first take is empty and not visible [t=135474]
  + MP3: fixed index file generation issues from 4.59
  + Nudge: improved support for nudging by frame with DF timecode [t=88416]
  + Nudge: fixed framerate mode in nudge items by grid size action [issueid=5052]
  + OSC: display track pan width feedback properly [t=125346]
  + OSC: reduced duplicate OSC messages, optimized wildcard matching/generation
  + OSC: support for marker/region feedback to devices
  + OSX: check /Library/Application Support/REAPER/ for license file
  + Parameter modulation: fixed various sync issues, fixed labeling to QN rather than beats, old behavior still exists for old projects
  + Parameter modulation: improved speed slider behavior/snapping
  + Project save: action to save new version of project (automatically increment project name)
  + Project save: save with media move now correctly moves video files
  + ReaMote: fixed bridged plug-in support on OSX
  + ReaPlugs: ReaVerb now displays spectrograph of impulse
  + ReaPlugs: RS5k and ReaVerb have better resolving of filenames in samples or impulses subdirectory
  + ReaPlugs: fixed RS5k peakbuilding when changing samples via combo box
  + ReaPlugs: lowered ReaDelay RAM use with long delay lines
  + ReaScript: documentation improvements
  + ReaScript: added EEL language support in addition to Python
  + ReaScript: scripts can now persist via defer (EEL) or RPR_defer (Python)
  + ReaScript: improved AudioAccessor API, added AudioAccessorValidateState()
  + ReaScript: various new APIs including: CountProjectMarkers, GetLastMarkerAndCurRegion, SetProjectMarkerByIndex, DeleteProjectMarkerByIndex [p=1312774]
  + ReaScript: added APIs to get MIDI editor settings, get/set/insert MIDI events
  + ReaScript: fixed various functions to match documentation (CreateNewMIDIItemInProj,TrackFX_SetEQParam,TrackFX_GetEQParam)
  + ReaScript: stretch marker get/set support
  + Render: configurable render queue delay time (to allow samples to load if necessary)
  + Render: rendering regions/stems with RPP saving option produces a customized RPP per-file
  + Track manager: prevent adding FX to master input FX [issueid=5056]
  + Transport: added themeable color for project play rate when not 1.0
  + VST: generic UI refreshes in response to audioMasterUpdateDisplay [issueid=5058]
  + Video: Fixed high CPU usage when using non-zero timebased video files
  + Video: option to automatically detect orientation for jpeg/mov files

v4.591 - January 17 2014
  + FX: fixed keyboard navigation in FX chains on Windows [issueid=5049]
  + JS: fixed sizing issue on OSX [t=133665]
  + MIDI editor: fixed velocity lane editing on OSX [p=1300156]
  + RS5k: fixed peakbuilding when changing samples via combo box

v4.59 - January 12 2014
  + FX: fix for win 8.1 hang on fx add with default preset [t=133119]
  + JSFX: added many new gfx APIs and functionality (including gfx_dest for offscreen drawing)
  + JSFX: string support for code, improved language syntax [p=1293253]
  + JSFX: IDE: better syntax highlighting with simple error detection, ctrl+T for matching parentheses/strings/etc
  + JSFX: IDE: can open/edit multiple files at once (ctrl+O on import line, or similar)
  + JSFX: IDE: watch window has searchable filter, can also do value=xyz or refs=xyz, other operators include <, > and &
  + JSFX: faster in-place fft_permute(), fixes to old bugs in FFT/memcpy
  + JSFX: fixed endian issue in file_var()/file_mem() reading of 16 bit wav files on PPC
  + JSFX: fixed file slider incorrect defaults
  + JSFX: force disabling FPU exceptions for better compatibility with certain plugins [p=1292367]
  + JSFX: hidden sliders can now start with -- to prevent adding UI gap, improvements to spacing
  + JSFX: sliderchange(-1) will trigger undo point when called from @gfx
  + MIDI editor: better handling of selection changes when using one MIDI editor per track
  + MIDI editor: fixed editing individual note velocity bars
  + MIDI editor: option to let MIDI editor remain open when the active media item is deleted in the arrange view
  + MIDI editor: reworked editor behavior preferences in options and in editor contents menu
  + MIDI editor: unhide hidden note rows when the user switches to piano keyboard view
  + MIDI: arrange view note scaling is per-track, rather than per-item
  + Media explorer: updated pitch shift API
  + Menus: better sorting for ini files
  + OSC: added messages to jump to marker or seek to region
  + OSX: more descriptive MIDI device names, which reduces potential order changes of similarly named devices
  + OSX: scan /Library/Application Support/REAPER/UserPlugins for native REAPER plug-ins (such as SWS)
  + Peaks: option to put peak files in peaks/ subdirectory from media
  + Peaks: option to force alternate peak-path for select media paths (such as sample libraries, etc)
  + Project bay: improvements to media item length sorting
  + Project bay: support for moving/copying media to any destination directory
  + ReaEQ: fixed locking issue on preset load
  + ReaMote/ReaStream: improved socket polling behavior (poll() on OSX, allow more than 64 connections on win32)
  + ReaMote: improved timeout behavior when remote host stops responding
  + ReaSamplomatic5k: fixed potential crash on loading with offline media [t=133587]
  + Render: respect text cursor and selection when inserting wildcards from wildcard menu
  + Render: VU meters for master mix and stem tracks (mono, stereo, multichannel)
  + Render: VU meters display up to 24 channels for multichannel renders
  + Render: optimized output filename collision detection
  + Save as with copy: move only when in previous media path (added in 4.58) made optional [t=133216]
  + Undo: better undo state descriptions for FX and envelope edits

v4.581 - December 17 2013
  + JS: prevent calls to gfx functions from audio thread
  + Render: faster dialog response time when changing render settings with very many regions and stems [p=1288519]

v4.58 - December 16 2013
  + API: added file_in_project_ex2, so that plugins tracking media files can receive copy notifications in save-as-copy etc
  + API: functions to get or set the region render matrix
  + FX chain: fixed focus issues when updating ReaSamplomatic plug-in name
  + FX: drag and drop cursor fixes relating to monitoring FX
  + Item FX: chains can request higher channel counts for internal processing
  + JS: added midi_choke
  + MIDI editor: fixed copy/cut within time selection not advancing the cursor or extending the MIDI item properly in certain situations
  + MIDI editor: fixed double-click note behavior with certain settings
  + MIDI editor: fixed step sequencer hang on recording during playback
  + MIDI editor: fixes relating to note folding
  + MIDI editor: improved edit cursor mouse click behavior
  + MIDI export: warn before overwriting files
  + MIDI inline editor: zoom/autozoom fixes
  + MIDI: more precise export of linear tempo transition [p=1285559]
  + MIDI: optimizatons to arrange view drawing
  + MIDI: option to automatically scale notes to fit in arrange view
  + OSC: fixed bug in /vkb_midi/note support
  + Project bay: avoid hang when zooming to selected items that are very far apart [t=127213]
  + Project bay: improved sorting by take details column
  + ReaSamplomatic: multi-file support (adding a group of files via browse or drag and drop will divide velocity range by file)
  + ReaSamplomatic: active voice count indicator
  + ReaSamplomatic: added optional separate control for note-off release
  + Reasamplomatic: changed default settings for new instances
  + ReaSamplomatic: graphical display of ADS envelope
  + ReaSamplomatic: improved locking behavior to avoid audio interruption when loading samples
  + ReaSamplomatic: improved parameter names for automation purposes
  + ReaSamplomatic: reduced RAM use
  + ReaSamplomatic: save-as with copy media now puts samples into samples/ subfolder
  + ReaStream: improved blocking behavior for network sends
  + ReaSurround: by default, adjusts channels to match track channel count, but can be disabled
  + ReaVerb: improved threading behavior when loading impulses
  + ReaVerb: save-as with copy media now puts samples into impulses/ subfolder
  + Render: region render matrix window allows selecting which tracks are rendered under which regions
  + Render: better auto-increment numbering for duplicate render target filenames
  + Render: option to render selected items
  + Render: option to render tracks with only mono media to mono files
  + Render queue: more informative display
  + Save as with copy: better support for copying plug-in referenced media [p=1281713]
  + Save as with copy: move option will prefer to copy files not in known or fallback recording paths
  + Track channels: added 36 channels as an option
  + VST: improved setSpeakerArrangement behavior
  + VST: optionally inform plugins when track channel count changes
  + WAV: ignore nonsensical BEXT preferred position data
  + Windows: fixed x64 hang on certain tempo envelope and grid settings [t=132256]

v4.57 - November 16 2013
  + AU: bridged support for plug-ins with multiple buses
  + AU: fixed bridged plug-in issues (broken in 4.56)
  + AU: improved bridged plug-in shutdown sequence to avoid autorelease errors
  + FX: fixed rare zero column size bug in FX browser
  + FX: floating FX windows show slot number of title
  + FX: restore floating state when bringing FX back online
  + Grouping: fixed possible group errors when using multiple project tabs
  + JS: fixed reset to default for sequencer_baby_v2
  + Localization: fixed potential crash on startup
  + MIDI editor: added mouse modifier to stretch MIDI source loop
  + MIDI editor: less sensitive mouse behavior for editing ruler loop points [p=1270393]
  + MIDI editor: new loop point editing behavior when start offset exists [p=1270942]
  + MIDI editor: quantize window has improved labels for quantize range
  + MIDI inline editor: added action to close editors for selected items for main context
  + MIDI inline editor: auto-zoom contents when opening if edits have occurred in main editor
  + MIDI inline editor: doubleclick on toolbar zoom button zooms-to-contents
  + MIDI inline editor: fixed flicker when using humanize window
  + MIDI inline editor: if closing editor via inline editor action, obey selection rules
  + MIDI: fixed peak issue with overlapping channel data [p=1274647]
  + MIDI: improved arrange view note display (scales to fit used notes)
  + Memory: tweaks to memory management logic
  + OSC: added /vkb_midi/[note|cc|pitch|program|polyaftertouch|channelpressure] commands for sending MIDI to the VKB record input
  + OSC: added default mappings for /track/@/[mute|solo|recarm]/toggle, /action/@/cc, /action/@/cc/relative, and /action/@/cc/soft (for soft-takeover)
  + OSC: improved support for soft-takeover on action and FX parameter bindings
  + OSX: fixed some small leaks
  + OSX: on 10.9+, disable App Nap when using bridged plug-ins, rendering, or audio device open
  + Video: fix startup crash with old VLC versions installed
  + Video: improved QT audio support
  + Windows: improved CPU/memory meter reliability
  + Windows: improved pin-to-top button behavior

v4.56 - November 8 2013
  + AU: improved performance on multichannel tracks
  + FX: drag and drop copy/move improvements
  + FX: drag and drop will auto increase track channel count when needed
  + JS: fixed pin mapper state saving in certain instances
  + JS: improved performance of mapped pins with high channel counts
  + MIDI editor: fixed crash when editing note velocity with velocity filter applied [t=130733]
  + MIDI editor: fixed display issue when updating and inactive on non-aero Windows [t=130867]
  + MIDI editor: fixed unpredictable behavior when editing left edge of looped MIDI item in MIDI editor [t=117622]
  + OSC: added controller feedback for stereo track VU metering
  + OSC: fixed TIME with string parameter support
  + Render: fixes to stem rendering support for resampling and project regions
  + Timecode: LTC generator 23.976 mode is ND not DF (DF is deprecated)
  + Timecode: LTC generators generate correct ND timecode (timecode runs slower than a wall clock)
  + Timecode: LTC synchronization supports ND modes

v4.55 - October 27 2013
  + Control surfaces: AlphaTrack better supports touch/untouch when automating FX parameters via knob
  + Control surfaces: now properly support touch state for width
  + Editing: fixed inconsistent behavior of trimming items behind edited time selection [t=129879]
  + JS: added sequencer_baby_v2
  + JS: sequencer_baby now produces sample accurate results
  + MIDI editor: fixed ruler drawing for zero and negative measures
  + MIDI editor: note properties dialog supports multiple editable MIDI items
  + MIDI editor: refresh note properties, transpose, quantize, humanize dialogs on note selection change
  + MIDI import: fixed incorrect import of certain .mid files [t=130165]
  + OSC: added TRACK_PAN2_TOUCH for width/dualpan touch support
  + OSC: reduced CPU/power use of OSC support
  + OSC: support for calling custom actions by string identifier [p=1259096]
  + OSX: CoreText PostScript font names cached to avoid 10.9+ warnings
  + OSX: improved support for Macbooks with GPU switching (do not force discrete GPU)
  + OSX: reduced power consumption from joystick polling, especially when joysticks are not physically present
  + Region manager: option to play region through, then repeat or stop, on selecting a new region
  + Splash: splash screen lists native plug-ins as they are being loaded
  + Transport: show pre-roll text when in pre-roll
  + Video: Added support for latest VLC version (v2.1.x)
  + Video: improved FFmpeg 5.4 audio decoding (float-planar)
  + Video: improved support for multichannel audio from VLC 2.0.x

v4.54 - October 7 2013
  + JS: fixed an issue where certain optimizations would cause incorrect code [t=129437]

v4.53 - October 4 2013
  + API: various APIs properly update track-dirty flags [issueid=4934]
  + Automation: fixed bug where plug-in automation timing would be affected by track channel count [t=127606]
  + Batch converter: support writing to source directory for media items
  + JS: added !== and === operators (exact comparisons)
  + JS: avoid excess undo state save on finishing a slider drag
  + JS: user functions can now have namespaces as parameters -- function t(a*) ( a.foo = 1; );
  + JS: user functions can now have their own default namespaces -- function foo.bar() ( this.a=1; );
  + JS: user functions can now override builtin functions -- function sin(x) ( x - x^3/6 + x^5/120 );
  + MIDI editor: option to link track list selection to editability
  + MIDI editor: removed automatic 2-way mirroring of arrange view selection and MIDI track list selection
  + MIDI editor: track list selection optionally follows changes in arrange view selection
  + MIDI: quantize linear tempo changes when exporting project MIDI [issueid=4927]
  + MIDI: preserve NRPN blocks on import/export [t=128886]
  + MIDI: avoid flooding volume/pan messages when transport is stopped [t=125845]
  + MIDI: fixed/improved pasting notes as new items from arrange view
  + Playback: improved some anticipative FX behavior changed in 4.52 [p=1243052]
  + ReaPlugs: various toggles now better support automation
  + ReaSamplomatic: reduced clicking when voice-constrained
  + Recording: fixed media monitoring when in time selection auto punch and no time selection
  + Stretch markers: move marker preserving left hand rate works properly on first stretch marker in item
  + VST: avoid flooding undo states on certain plugins that send too many audioMasterEndEdit (such as TB_EZQ)
  + VST: improved parameter automation behavior
  + Video: bridged Quicktime bugfix (eof would cause video source to stop working)
  + Video: fixed more audio playback issues when using VLC decoder

v4.52 - September 5 2013
  + Actions: various actions better respect edit cursor in undo state
  + Graphics performance: fixed high CPU use when displaying media items with many embedded cues
  + MIDI editor: better cursor positioning on note edge clicks [p=1233863]
  + MIDI editor: fixed scroll issues, improved play cursor behavior
  + MIDI editor: track and channel selection available in both piano roll and event list view
  + MIDI editor: fixed channel filter initializing incorrectly when loading projects
  + MIDI: fixed pasting events into blank area of arrange view
  + Metering: fixed track metering inaccuracies on looped playback
  + Playback: fixed rare but possible increased memory use when changing loop selection during playback
  + ReaPlugs: improved undo point notification for various controls
  + Routing matrix: fixed scroll issue [p=1233512]
  + Video: fixed audio decoding issue when using VLC decoder on files containing a 32bps audio stream

v4.51 - August 30 2013
  + MIDI editor: dropdown box above keyboard area to select active track
  + MIDI editor: better performance updating edits with lots of pooled items
  + MIDI editor: improved source length editing behavior
  + MIDI: faster creation of pooled midi items
  + MIDI: fixed stuck note on looped playback introduced in 4.5
  + Undo: reduced excess work/flicker when in an undo block

v4.5 - August 29 2013
  + API: GetSetMediaTrackInfo with I_RECARM no longer generates undo points
  + API: added GetTrackDepth function
  + API: added functions to get media item track, parent tracks
  + API: fixed DoActionShortcutDialog() not updating configuration files
  + API: undo/redo cancels any pending undo blocks
  + Actions: added set item name from active take filename
  + Actions: fixed label for scroll view horizontally by page [issueid=4805]
  + Autosave: configurable option for when to autosave (always, stopped, or not-recording)
  + Click source: better behavior when using pitch shifting/timestretch
  + Click source: do not adjust click source rates when adjusting tempo
  + Directory cleanup: better media path resolving for freeze and project bay referenced files
  + Dockers: improved autotransparency behavior
  + Envelopes: better behavior with multiple points selected
  + Envelopes: added actions to select various track envelopes
  + FX: Monitoring FX support - useful for analysis, room adjustment, or other non-project related processing
  + FX: fixed changing parameters via program change causing potential hang [t=127004]
  + FX: safer UI updating when changing bypass/parameters via automation
  + FX: dropping FX on a track input fx, record arm, record mode, or record input will put FX on input chain
  + FX: input FX are now properly tracked by undo system
  + Fades: splitting items with crossfade set will set both crossfade and default item fades [p=1168997]
  + Grid: better support for measure lengths that are not multiples of grid size [t=115128]
  + Grid: framerate grid/snap support
  + JS: $xHEXCONSTANT now parsed same as 0xHEXCONSTANT, no conversion to 32 bit signed integer
  + JS: editor has improved non-english keyboard support, syntax highlighting, better resizing support
  + JS: _global.variable support, regXX alias to _global.regXX
  + JS: added atomic_setifequal(), atomic_exch(), atomic_add(), atomic_set() and atomic_get()
  + JS: improved behavior with fx that define input or output pins but not both
  + JS: invsqrt() now produces same results for negative inputs on x86-64 and x86/PPC
  + MIDI editor: support for editing multiple MIDI items at the same time
  + MIDI editor: added track list and media item lane, filter window now filters only MIDI events, not media items
  + MIDI editor: track list and media item lane control which media item is active, which others are visible
  + MIDI editor: optionally preview all selected notes that start at the same time position
  + MIDI editor: optionally preview notes when editing or changing selection via keyboard action
  + MIDI editor: actions to activate next/previous item, visible item, or track, action to enable/disable relative snap
  + MIDI editor: added mouse modifiers to move/copy selected notes by dragging in the piano roll (no need to click the note again)
  + MIDI editor: added toolbar snap button context menu
  + MIDI editor: many bugfixes and performance improvements
  + MIDI editor: improved action to view raw MIDI data
  + MIDI editor: new cursors midi_noteedge_l, midi_noteedge_r, midi_stretch_l, midi_stretch_r
  + MIDI editor: save and load bank/program select files with tracks, rather than with individual MIDI takes
  + MIDI editor: stretch CC events when stretching a group of notes (when option enabled)
  + MIDI editor: support for 14-bit CC messages in piano roll and event list 
  + MIDI editor: theme colors for out-of-bounds piano roll
  + MIDI editor: theme image for midi_item_bounds.png, table_remove_off, table_remove_on
  + MIDI editor: track list shift+click expands/collapses folders or track items
  + MIDI editor: track list has right-click menu option to choose which tracks to show/hide in track list
  + MIDI: fixed chasing notes in certain instances [issueid=3639]
  + MIDI: fixed multiproject hang bug [t=123903]
  + MIDI: import SMF cues that are embedded in the tempo track
  + MIDI: optionally embed project markers as MIDI cues when exporting project MIDI
  + MIDI: optionally import embedded cues as project markers
  + MIDI: when playing back looped, improved sample-level rounding to avoid duplicate midi notes
  + MTC: fixed hour-rounding issue with 25fps
  + Marker/region manager: import/export csv properly supports commas/quotes (RFC 4180) [issueid=4798]
  + Metronome: Preferences/Audio setting to choose default output
  + OSX: PowerPC build has improved defaults for better performance
  + OSX: fixed fx pin connector text
  + OSX: localized audio device info menu support
  + Pan: enabled overriding pan mode for the master track [issueid=4852] [issueid=3452]
  + Performance meter: options to show/hide empty tracks/master track/Monitoring FX
  + Project bay: better undo integration for speed/RAM use, faster undo state loading
  + Project bay: improved sorting for length, track, position with fallbacks [issueid=4825]
  + Project tabs: option to put project tabs on left edge of window rather than top
  + ReaPlugs: ReaControlMIDI supports channel pressure messages
  + ReaPlugs: improved use/calculation of constants throughout that might affect some win64/AMD systems
  + ReaPlugs: fixed potential for crash in ReaFIR analysis code on incorrectly-sized windows
  + ReaPlugs: safer ReaInsert audio device hooking
  + Recording: MIDI input mode with pdc-adjust respects loop end timing
  + Recording: preserve PDC monitoring properly observes i/o latency for audio
  + Routing: reduced excessive volume/pan messages being sent via MIDI sends when stopped/looping
  + Stretch markers: action to remove stretch marker at current position
  + Stretch markers: actions to navigate to next/previous/nearest stretch marker
  + Stretch markers: guide indicators when moving
  + Text rendering: fixed potential memory overflow bug, thanks JeffOS
  + Time signatures: improved beat-attached behavior when removing points [issueid=4788]
  + Time signatures: fixed adding editing markers at zero/negative measure counts
  + Time signatures: improved adjusting media items when changing time signature denominator (related to change in 4.32)
  + Time signatures: improved behavior moving/copying regions with time signature markers [p=1229213]
  + Timestretch: fixed issues in 4.4x with playspeed envelopes and preserve pitch
  + Timestretch: latest AVX-enabled Windows builds of Elastique
  + Timestretch: fixed Elastique issue on some win64/AMD systems
  + Timestretch: allow non-1.0 playrates that are very close to 1.0 [issueid=4787]
  + Track manager: fixed extra spaces being added when renaming child tracks
  + Undo: extensive optimizations and improvements
  + Undo: avoid excessive state loading when undoing changes to track order/counts
  + Undo: better reuse of undo buffers when changing track order/counts
  + Undo: improved memory use, scan for common blocks in history when adding states
  + Undo: incrementally updated RPP-UNDO files, can make for much faster save of undo history
  + VST: improved bridged embedded support for SE plug-ins (broken in 4.40)
  + VST: when mode set to not scan VST info, apply renames after updating plugins
  + Video: fixed file closing hang when using WMA files on Windows
  + WavPack: fixed crash on reading invalid wrapper chunks
  + Windows: added WMA as supported file extension
  + Windows: fixed CPU usage display working intermittently on systems with large uptimes
  + Windows: installer better handles incorrect ReWire installation states
  + Windows: topmost button activation tweaks (fixes for embedded bridged plugins and native plugins such as Kontakt)

v4.402 - April 27 2013
  + Sends: fixed incorrect volume blip when adding sends
  + Undo: fixed some potential crashes when removing tracks and sends

v4.401 - April 27 2013
  + Autosave: do not autosave a project during playback or recording
  + Elastique: incorrect win32/win64 AVX support removed

v4.40 - April 25 2013
  + API: added PCM_Source_GetSectionInfo
  + Copy/paste: fixed paste of FX envelope points
  + Locking: improved granularity for item locking, fixes
  + MIDI recording: numerous improvements to overdub/replace recording (double notes, looped items, time selection autopunch)
  + Metronome: better overlapped sound when using a mix of click sounds and samples
  + Metronome: preserve pitch when using project playrate
  + OSX: fixed memory leak in CoreText drawing introduced in 4.32
  + OSX: improved .ini file performance/reliability
  + ReaMote: fixed some issues with high channel counts
  + ReaSamplomatic5000: improved import media item from arrange to work better with section items
  + ReaSurround: fixes when using more than 32 channels
  + ReaTune: configurable detector input including sidechain support
  + Stretch markers: change the timing of items using convenient handles
  + Stretch markers: can be created via action/mouse map, or via dynamic split window
  + Tab transient: threshold is checked post-take/item gain
  + Timestretch: better Soundtouch output quality near beginning of streams
  + Timestretch: support for larger time expansion/compression values
  + Timestretch: updated to elastique 2.28
  + VST: improved bridging behavior with embedded windows
  + Video: preserve rotation setting when duplicating/splitting items
  + Windows: topmost button tweaks to better work with embedded bridged plug-ins

v4.33 - April 17 2013
  + API: added CountActionShortcuts, GetActionShortcutDesc, DeleteActionShortcut, DoActionShortcutDialo, SectionFromUniqueID, GetToggleCommandState2
  + API: added stub for old DuplicateMenu API, fixes csurf_automap support
  + AU: load factory default preset resets pin mapping to defaults [issueid=4364]
  + Actions window: fixed copy command ID to clipboard
  + Actions: insert click source/SMPTE generators makes items without fades
  + Batch converter: fixed rendering past end of source in media items [issueid=4690]
  + Batch converter: setting for FX tail size when applying FX
  + Batch converter: support for rendering media items that have take-fx, including tail [issueid=4689]
  + Control surfaces: improved AlphaTrack/FaderPort following track selection via context menu clicks etc [issueid=4642]
  + Control surfaces: improved support for jog wheels on MCU/01x
  + DDP: fix for CD-TEXT writing errors
  + DDP: fixed extra spaces being inserted into md5 file
  + Dynamic split: correctly detect take start offset/playrate changes
  + EDL: fixed pan reversal in .edl files
  + Editing behavior: default ctrl+C/ctrl+X behaviors now ignore time selection, use shift+ctrl+C/shift+ctrl+X to copy or cut respecting time selection
  + Envelope editing: alt-click to remove point no longer passes through alt-click to other mouse contexts
  + FX: build output routing reduces large lists of created tracks
  + FX: saving/renaming preset UI improved, show existing preset names and prompt to overwrite
  + File import: improved multiple file prompting
  + Freeze: basic support for position change in frozen items propagating back to frozen state
  + Freeze: save with media move/copy includes frozen media too
  + IO window: properly update send volume strings on mousewheel fader adjustment
  + IO window: sanity check pan/width values
  + Item snap offset: better behavior when in beats/position only mode
  + JS: Updated IX/MIDI_Tool II
  + JS: fixed platform-specific rounding issues, improved code generation on some platforms
  + JS: fixed some EOF issues when reading malformed text files
  + JS: improved detection of whether triggers are used by a given JS
  + JS: improved undo behavior on OSX
  + Joysticks: improved rounding consistency in scripts across platforms
  + MIDI: fixed excess noteons/noteoffs when starting overdub/replace recording to new item
  + MIDI: improved overdub/replace recording item creation behavior with loop and preroll
  + MIDI: fixed overdub/replace recording issues (full size loop option, time selection autopunch)
  + Media Explorer: inserting multiple items aligns them at the same time
  + Media import: when dragging media onto an existing media item, prompt to create a new media item or replace existing source media
  + Multiprocessing: improved anticipative FX with sends to tracks that use PDC [t=113560]
  + OSC: fixed FX parameter feedback for some ReaPlugs
  + OSC: fixed certain OSC action binding issues [issueid=4589]
  + OSX: Improved cursor behavior when mouseover on nonfocused windows
  + OSX: fix for possible crashes at shutdown
  + OSX: fixed ReaControlMIDI insertion action
  + OSX: fixed joystick support on i386
  + OSX: fixed main menu langpack support
  + OSX: fixed possible crash relating to accessibility and floating toolbars
  + OSX: improved behavior when drag and dropping large numbers of files from finder
  + OSX: improved peaks reading performance (fixed mmap file reads)
  + Project bay: added actions to insert or remove selected project bay items from project
  + Project bay: context menu action to insert media/FX into project
  + Project bay: support replacing source media with media of a different type (replace wav with mp3, etc)
  + Project bay: improved behavior when removing folders
  + Project bay: improved undo for numerous FX related actions
  + Project bay: fixed memory leak when using external bays
  + Project bay: fixed display of comment field when unretaining media
  + Project bay: reduced RAM use when loading bay state
  + ReWire: enabled ReWire options in preferences for 64-bit
  + ReaComp: fixed RMS/autorelease behavior when automated
  + ReaSurround: fixed cleared input channel names when increasing channel count [issueid=4743]
  + ReaSurround: fixed state loading on PPC
  + ReaNINJAM: OSX chat scroll fix
  + ReaNINJAM: prevent writing corrupt clipsort.log when others use quotes in names
  + ReaNINJAM: fixed possible crash [issueid=4746]
  + Recording: preserve PDC monitoring mode adjusts media start offset rather than item position
  + Recording: tape replace-mode using overdub/replace MIDI modes now properly matches input recording behavior
  + Region manager: updating region indices behaves more like region editor [issueid=4745]
  + Render: added action to render using most recent render settings, but a new target file name
  + Screensets: fixed saving screenset names with spaces in project [issueid=4498]
  + Sends: fixed issues with removing tracks that have send envelopes [issueid=4732]
  + Stem rendering: support output samplerate conversion for stem renders
  + Take pitch envelopes: fixed click on transition to 1.0 pitch
  + Time display: fixed length rounding bug in measures/beats when displaying lengths
  + Time signature markers: fixed refresh on removal via alt+click [issueid=4747]
  + VST: fixed shell-plugin scanning
  + Video: Added WEBM encoding/decoding, made default for encoding
  + Video: Added render option to keep the source aspect ratio
  + Video: Fix for incorrect framerate detection when using VLC decoding
  + Video: Fixed RGB colorspace when using VLC decoding on OSX
  + Video: Fixed YV12 colorspace encoding issue on OSX
  + Video: Fixed incorrect video colors on OSX with MJPEG codecs using VLC decoder
  + Video: Updated FFmpeg to latest available version (1.1.3)
  + Video: added latest LibAV (0.9.x) support
  + Video: faster loading of videos/images
  + Video: improved QuickTime audio decoding
  + Video: improved image item support, pooled fullsize images to limit RAM use, cached thumbnails
  + WALTER: fixed user font 5-8 support
  + WALTER: trans.bpm.tap.margin now can properly specify alignment
  + Waveforms: optionally fill waveform drawing to zero line
  + Windows: fixed duplicate jump list addition on saving project with subdirection creation
  + Windows: opening projects now adds them to Windows recent/jump lists

v4.32 - January 13 2013
  + Automute: option (default) to clear automutes on playback start
  + Automute: improved updating of arrange when automuting
  + FX browser: optional alternate tree/list layout (doubleclick divider to change)
  + Media items: improved new 4.30 fade shape behavior with fully overlapping items
  + Media items: avoid creating tiny media items when pencil-drawing with snap enabled
  + MIDI: improved linear painting in drum modes [t=107205]
  + MIDI: fixed overdub+autopunch+preroll bug [issueid=4046]
  + MIDI: allow pasting of MIDI events directly in arrange view (adds item, or pastes in existing item)
  + OSX: fixed play cursor artifacts with retina displays
  + OSX: new faster CoreText rendering used on 10.5+, more consistent text
  + OSX: now linked against 10.5 SDK, but with 10.4 compatibility
  + OSX: Option to ignore CoreAudio reset messages (can enable for certain devices, emulates 4.22 behavior)
  + ReaStream: added localhost support for win32, improved broadcast support on OSX, improved recent host history
  + ReaVerb: fixed incorrect transition from mono to stereo signals with stereo impulses
  + ReaVerb: corrected latency immediately after samplerate change
  + Routing matrix: mouseover highlight of current position
  + Routing matrix: improved functionality with click/drag to change multiple tracks
  + Routing matrix: show MIDI inputs and outputs
  + Routing matrix: improved display of MIDI-only sends 
  + Time signatures: fixed adjusting media items when changing time signature numerator [t=115155]
  + Track routing dialog: improved layout when using large fonts on Windows
  + Track routing dialog: fixed parent channel not repopulating after adding sends
  + Video: added preliminary VLC support for video playback (install latest VLC for improved video decoding)
  + Video: added YV12 colorspace support for OSX, Quicktime decoding
  + Video: improved bridged-quicktime behavior with mp3 audio (ignores audio rather than crashing)

v4.31 - November 23 2012
  + Actions: explode takes automatically clears all takes play flag
  + Actions: explode takes in place produces better lane order [t=86427]
  + FX envelopes: improved behavior when moving item and automation across tracks (undo fixes, FX matching improved)
  + FX envelopes: fixed possible crash
  + LAME: fixed loading LAME DLLs from UserPlugins path [t=113607]
  + MIDI: better CC/pitch/PC tracking behavior when seeking into looped items
  + MIDI: bring track CC/PC up to date from earlier items when seeking
  + MIDI: fixed note tracking on items with all takes playing [t=113629]
  + MIDI: fixed item fades incorrectly making note-offs into note-ons [t=113577]
  + MIDI: fixed quantize information when pasting notes preserving position in measure [t=108512]
  + MIDI: fixed paste notes preserving position in measure rounding bug [t=108512]
  + MIDI: hardware outputs get note-offs on track mute, master solo
  + MIDI: improved behavior for 1-sample blocks
  + Menus: fixed issues with colorthemes, and displaying marker/take/path/etc names with ampersands [t=108056]
  + OSC: fixed ReaEQ bands being activated unnecessarily
  + OSX: mouse position rounding fixes [t=113538]
  + Play cursor: fixed artifacts when resizing left pane on win32
  + Screensets: fixed loading of docker size/positioning states [t=113478]
  + Time signatures: better handling of tempo changes when removing time from project [t=113350]
  + Toolbars: fixed potential crash when using empty images
  + Toolbars: fixed difference in text icon preview vs actual toolbar

v4.30 - November 14 2012
  + About: fixed usage statistics being reset when switching between 32/64 bit
  + Actions: option to stop playback at end of loop
  + API: added PreventUIRefresh which allows scripts/plugins to disable and reenable many UI updates during processing
  + Crossfade editor: activates for selected items that are adjacent or overlapping
  + Crossfade editor: crossfades can be constrained to be equal gain or equal power  
  + Crossfade editor: default mouse modifier, double-click on crossfade to open/close editor
  + Crossfade editor: new dialog for editing various parameters of crossfades
  + Crossfade editor: themeable colors for active fades
  + Cursors: new cursors for resizing the extended mixer (extmix_resize, extmix_multiresize, extmix_allresize, extmix_section_resize, extmix_multisection_resize, extmix_allsection_resize)
  + Cursors: support for colors in custom cursor images
  + DDP: fixed MD5 generation on OSX 64
  + Fades/crossfades: new S-curve fade shape
  + Fades/crossfades: changing crossfade shape via right-click menu affects all selected crossfades
  + Fades/crossfades: default crossfade shape is equal power (existing projects are unchanged)
  + Fades/crossfades: fade curvature can be edited via mouse modifier, media item properties, or crossfade editor
  + Fades/crossfades: new cursors for fade/crossfade curvature, crossfade width adjustment
  + FX: improved threadsafety in certain instances
  + Grouping: doubleclicking track vol/pan/width labels now resets using grouping/ganging
  + Grouping: improved volume fader grouping behavior when some faders are at -inf
  + Item mouse hit zones: allow mouse to target buttons and fades even if another media item is overlapping
  + Item mouse hit zones: mouse targets the fade curve by default (can be disabled in preferences)
  + Item mouse hit zones: option to always show fade-in/fade-out handles
  + JS: improved font display on win32
  + JS: reduced fx initialization interrupting audio
  + LAME: support loading LAME DLLs from UserPlugins path, improved prompting
  + License: REAPER evaluation period is now 60 days  
  + MIDI inline editor: fixed buttons when zoomed in
  + MIDI: fixed items that would not play in certain rounding instances
  + Mouse modifiers: added behavior to move item contents and ripple adjacent items
  + Mouse modifiers: new action to adjust length of two fades keeping intersection point constant
  + Mouse modifiers: new context for fade intersections
  + Mouse modifiers: support optional snapping for all fade/crossfade behaviors
  + OSC: fixed FX parameter feedback for inactive tracks
  + OSX: fix for render-drag problems with external drives
  + OSX: REAPER.app and ReaMote.app now have signatures for OSX 10.8
  + OSX: render-drag to a new file outside of REAPER (command+opt by default) prompts before overwriting an existing file
  + Pan: track pan value can be manually entered in track controls dialog
  + Pans: manually entered values like "R50" and "L25" are accepted, in addition to "50%R" and "25%L"
  + Project bay: fixed loading of bays in certain instances
  + Project save: support for adding multiple project versions to rpp-bak files, choosing version on load
  + ReaControlMIDI: automation support for enabling/disabling bank/program select and CC sliders
  + Render: fixed saving render presets in different categories (bounds, output, all settings)
  + ReWire: further improved shutdown/device unload sequence to better handle panels that prompt before exiting
  + Routing windows: space passes through to main actions, for keyboard navigation use shift+space
  + Sends: volume/pan values can be manually entered in I/O dialog
  + Snap to grid: don't snap to grid lines that are more than 1/4 screen width away
  + Tempo envelope: more consistent behavior when adding/deleting tempo markers when project timebase is beats
  + Toolbars: fixed crash when using certain strings as custom toolbar button text
  + Video: improved rendering accuracy near end of render when using resampling
  + VST: fixed audioMasterTempoAt accuracy in certain instances
  + Windows: installers now have authenticode signatures

v4.261 - August 21 2012
  + AU: improved support for factory presets existing in subpaths (UBK-1, etc)
  + CoreAudio: fixed aggregate device support (broken in 4.26 with intermittent availability support)
  + Render: avoid colliding filenames when adding to the render queue
  + ReWire: improved shutdown sequence to avoid hanging panels

v4.26 - August 17 2012
  + Action dialog: fixed incorrect sort in certain instances
  + Actions: Fixed undo state tracking for item-lane move actions
  + API: added function to get or insert FX by name
  + API: added functions to count, get, and set tempo/time signature markers
  + Arrange display: cleaned up drawing code, removed preference options for full vs track buffering, non-themed play cursors
  + AU: fixed generic UI for large parameter counts
  + ASIO: support for sampleRateChanged notifications, improved behavior when changing sample rate
  + Batch converter: automatically create output directories
  + Batch converter: fixed incorrect lengths when using FX processing
  + Batch converter: small fixes, including working stop button, better saving of format string
  + Batch converter: support for running REAPER with batch converter from the command line
  + CoreAudio: preliminary support for devices with intermittent availability (such as network devices)
  + Dock: alt+click or middle click tabs to close (when possible)
  + Dock: close buttons for docker tabs are now optional (via prefs or dock menu)
  + Dock: fixed drawing bug
  + Docker: improved dock window titles for single-tab floating docks
  + FX: improved mutex locking to help prevent possible deadlocks with certain plugins
  + Item images: improved formatting/display of item images/inserted pictures/etc
  + Item notes window: remembers last window position
  + JS: fixed sliderchange notification support for high slider counts
  + Language packs: safer UTF-8 importing
  + MIDI: avoid retriggering notes when tempo changes
  + Mouse modifiers: fixed behaviors to select media item and extend time selection
  + OSC: added explicit volume/pan automation touch messages
  + OSC: basic support for touch automation
  + Play cursor: reduced flicker
  + Project timebase: added action to show project timebase explanation/help
  + ReaControlMIDI: improved automation of snap-to-scale root and scale type
  + ReaControlMIDI: transpose, snap to scale can be automated or mapped to control surface
  + ReaEQ/ReaControlMIDI: actions to insert these FX will open/close the FX if it is already inserted
  + ReaInsert: improved MIDI output accuracy when playback looped
  + ReaMote: ReaMote64.app no longer requires REAPER.app, just REAPER64.app
  + ReaScript: support for passwords in RPR_GetUserInputs (when the first character of the caption is "*")
  + Render: added actions to immediately queue or render the project using the most recent render settings
  + Render: added project setting for default media format for project/region render
  + Tempo envelope: project setting for tempo envelope timebase (beats or time, default beats)
  + Time display: fixed display of lengths in measures/beats
  + Timecode generation: improved precision of MTC full frame messages during seeks
  + Timecode synchronization: improved use of latency compensation information
  + Topmost pins: improved behavior on application activate/deactivate (Windows)
  + Video/FFMPEG: Added button in render dialog to grab the current video file's width/height/framerate
  + Video/FFMPEG: Added FFMPEG DLL path info in video file properties dialog
  + Video: Added menu item to get the current video file properties
  + Video: fixed incorrect timestamp on certain video files when using FFMPEG libraries
  + Video: performance tweaks
  + Video: support for latest FFMPEG versions: please try latest binaries from http://aegiscorp.free.fr/ffmpeg/
  + VST bridging: corrected some incorrect (but probably inconsequential) code
  + VST bridging: fixed SysEx support for 64 bit
  + VST: fixed possible deadlock that could occur with UAD plug-ins
  + VST: hopefully fixed embedded mode bridging draw bugs
  + VST: improved bridging keyboard behavior in embedded mode (to prevent deadlock)
  + VST: improved bridging support for plug-ins that use audioMasterProcessEvents from other threads (Korg MS-20)
  + VST: fixed generic UI for large parameter counts
  + Windows: fixed some very small memory leaks, unsafe code

v4.25 - July 12 2012
  + Actions: added action to insert ReaEQ on a track, get/set ReaEQ parameters
  + Actions: fixed action to insert time and paste items
  + Actions: added actions to toggle playback and record preroll
  + API: added CreateNewMIDIItemInProject function
  + API: added function to insert tempo/time signature changes
  + AU: fix for Waves loading crashes
  + AU: support for plug-ins that receive MIDI sysex
  + Crossfades: fixed unwanted creation of crossfade when editing the other edge of a media item
  + DDP support: improvements (MD5, CD-TEXT support, UTF-8/ascii conversion)
  + Colortheme: tweaks to default theme
  + Envelopes: fixed persistence of preference to reset automation mode after writing automation
  + EULA: amended to make it clear that developing and selling plug-ins and extensions is allowed
  + External editors: dedicated action for opening associated projects in REAPER
  + External editors: improved external editor display/running logic, associated project references are fallbacks rather than prioritized
  + Faster REAPER shutdown process (can also reduce crashes on exit on OSX)
  + Freeze: fixed support for freeze in undo states (broken since 4.20)
  + FX envelopes: store special flag for wet/bypass envelopes in case plug-in parameter counts change
  + FX learn: support for toggle mode (toggle an FX parameter on/off with a single mapping)
  + JS: better support for UTF-8 filenames
  + JS: fixed bug where increasing track channels during playback with PDC-JS could cause dropouts
  + JS: fixed loop() behavior with negative counts on x86-64 
  + JS: fixed some unuseful order of operation behaviors relating to certain operators
  + JS: import file support for code usability (use .jsfx-inc, these files will not be shown in the FX browser)
  + JS: for .jsfx-inc files, just use @init with functions plus any global initialization needed
  + JS: import can also be used to import other FX and provide the ability to override individual code sections
  + JS: improved code generation, most JS FX should now run substantially faster
  + JS: improved handling of doubleclicks in @gfx
  + JS: improved sizing behavior on OSX
  + JS: improvements to JSFX IDE/editor
  + JS: sent/received MIDI messages are now forced to be sorted by time
  + JS: support for new language constructs (functions, object-namespaces, xor operations, etc)
  + LTC generator: support for 23.976fps (though this is nonstandard)
  + MIDI editor: zoom behavior fixes in certain instances
  + MIDI loop recording: MIDI recording within a time selection optionally creates a selection-length media item
  + MIDI note properties: accepts manual note input (not just using the dropdown)
  + MIDI: optimizations to MIDI item processing when using large blocks with lots of tempo changes
  + Navigator: do not show tempo changes (only time signature markers are displayed)
  + OSC: support for older client implementations when handling messages with no arguments
  + OSC: support for track EQ parameters and feedback
  + OSX: fixed a menu related bug for older OSX versions
  + Playback seek: settings moved to new Preferences/Audio/Seeking page
  + Preferences: split Envelopes page into separate Envelope Display and Automation Behavior pages
  + Region/Marker Manager: edit marker/region numbers, start, end, length in place in the list view
  + Region/Marker Manager: support for importing/exporting csv file, exporting txt description
  + Regions: actions to go to another region after the current region finishes playing (smooth seek)
  + Regions: fixed action to delete region near cursor
  + Scrolling: option for continuous scrolling during playback
  + Take lanes: action to collapse empty take lanes
  + Take lanes: do not create unnecessary extra take lanes when punching in
  + Tempo envelope: action/dialog to adjust entire tempo map to a target tempo
  + Tempo envelope: default project timebase is now beats (existing projects are not affected)
  + Tempo envelope: disallowed freehand drawing for the master tempo envelope
  + Tempo envelope: disallowed moving one tempo/time signature marker past another
  + Tempo envelope: easier marquee/selection of master tempo envelope points
  + Tempo envelope: editing multiple points at once applies the change proportionally (not +/- constant BPM)
  + Tempo envelope: markers are always pinned to beat position rather than time
  + Tempo envelope: per-marker setting for allowing a partial measure prior to the marker
  + Tempo envelope: playback position obeys project timebase (time or beats) when user edits project tempo during playback
  + Tempo envelope: saner manual editing of tempo changes when "gradually transition tempo" is enabled
  + Tempo envelope: visual BPM range of envelope can be configured
  + Tempo envelope: visual display of time signature change points is different from tempo change points
  + Time signatures: manual editing requires them to be placed at the start of a measure 
  + Time signatures: automatically correct time signatures when adding/removing partial measures from the project
  + Time signatures: time signature changes that truncate the previous measure are displayed in the ruler with an asterisk
  + Time signatures: with snap disabled, moving time signature markers will optionally modify the preceding tempo
  + Time signatures: with snap enabled, time signature changes snap to bars, tempo changes snap to grid
  + Toolbars: improved double-width toolbar button image scaling
  + WALTER: support for knob bitmap stacks
  + WALTER: theme layout lines can end in backslash to extend statement to next line
  + WALTER: transport status better supports layout images
  + WALTER: user-defined font support, other improvements
  + WINE: fixed support for non-conforming CallWindowProcW (still calls ASCII combobox wndproc when passed, unlike Win7/XP)

v4.22 - April 5 2012
  + Envelopes: improved tooltip labeling for FX parameters
  + Media items: fixed take volume display when item phase is inverted
  + ReaTune: fixed bugs in correction from 4.20/4.21
  + OSX: improved support for non-US keyboards
  + OSX: fixed large FX preset reading
  + JS: fixed incorrect MIDI bus handling
  + JS: fixed (low) limit on expression size
  + API: plug-in state API now supports larger configuration chunks (up to 8MB or so)
  + International characters: improved support (EDL import/export, system path definitions, etc)
  + OSC: fixed action messages

v4.21 - March 23 2012
  + Actions: added action to insert time and paste items
  + Control surfaces: fixed solo following solo-in-place preference (broken in 4.20)
  + Control surfaces: fixed possible crash in certain instances (AlphaTrack, etc)
  + Control surfaces: improved AlphaTrack automation behavior with pan knob
  + Cues: ensure correct rendering of .wav cues that belong at the exact start/end of the file 
  + MIDI: fixed MIDI pools when opening multiple copies of the same project in different project tabs
  + OSC: fixed initial FX wet/dry feedback
  + OSC: support for opening/closing FX UI windows
  + Project bay: fixed autoretain of deleted items in certain instances
  + ReaScript/API: export added extension API functions to ReaScript function table
  + Recording: fixed item end alignment when recording looped in loop selection
  + Recording: when using MIDI input, input FX, and recording audio, improved latency calculation
  + Transient detection: navigation by transient now is view independent, option for old behavior

v4.20 - March 20 2012
  + Actions: support full continuous controller range for actions to set track FX parameters
  + APE: no longer including APE support in REAPER, separate download will be available for Win32/Win64
  + API: many new functions for FX presets, open/close UI, bypass, sends/receives, tempo
  + API: many new functions for control surface support, scroll/zoom, track visibility, mixer scrolling
  + API: access media item text notes via GetSetMediaItemInfo() 
  + API: register OSC clients for 2-way communication
  + API: GetSetObjectState() locking improvements for less audio interruption
  + AU: support for generator AUs (such as AUNetReceive)
  + Custom action editor: faster list updating when filtering
  + Dynamic split: prevent creating MIDI notes with velocity more than 127
  + FLAC: fixed seeking after error on FLAC files, fixes problems where FLAC drops out in certain instances
  + Freeze/Render: better behavior when rendering multiple files
  + Freeze: better subsample alignment of frozen items
  + Freeze: by default only the media items plus FX tail length setting are rendered, with options for other behavior
  + Freeze: fixed possible undo corruption of freeze states after reordering tracks
  + Freeze: fixed warning when unfreezing after editing frozen track
  + Freeze: freezing tracks clears track polarity, unfreezing restores
  + Glue: avoid leaving tiny shards of items in certain instances
  + Glue: use audio device blocksize for better compatibility with take FX
  + Input FX: fixed glitches when looping
  + Item fades: right-click to change fade shape applies to all selected/grouped items by default
  + Item properties: option to apply changes after 2 seconds of inactivity
  + Item properties: fixed normalization outside of fader range via normalize button
  + JS: fixed possible crashes on preset load with pin mappings set
  + JS: fixed preset saving for JSFX that use @serialize
  + List views: show arrow in header to indicate sort column and direction
  + Live FX multiprocessing: slight performance improvements when using large track counts
  + Localization: localization support (see http://www.reaper.fm/langpack for more information)
  + Localization: configuration (prefs/general) for language pack selection, optional prompt on startup
  + Master track: save custom master track color with project
  + Media explorer: preliminary media database support (right click in shortcut list to create/manage databases)
  + Media explorer: native view remembers column widths
  + Media explorer: support for binding MIDI/OSC to media explorer actions
  + Media items: improved consistency of fade and item edge timing
  + Memory warnings: better default values (32 bit on Win64/OSX have higher defaults)
  + MIDI editor: fixed actions to move notes one semitone when hiding note rows and snapping to scale
  + MIDI editor: fixed swing grid when using odd time signatures
  + MIDI file import: fixed bug when importing tempo maps with frequent tempo changes
  + MIDI file import: properly handle snapping odd-numbered 8th-note time signatures 
  + MIDI buses: now supporting up to 16 buses per track (main bus and 15 auxiliary buses)
  + MIDI buses: track send panels allow choosing source, destination buses
  + MIDI buses: bus support for VST/AU/ReWire, JS (to use in JS, set ext_midi_bus=1 in @init, then midi_bus is used for bus indices)
  + Mouse modifiers: fixed autoseek on click when left-drag customized to marquee select
  + OSC: control surface support
  + OSC: default REAPER-specific controller specification, plus user-configurable pattern mapping
  + OSC: optional support for binding OSC messages to REAPER actions and FX learn
  + OSC: please see http://www.reaper.fm/sdk/osc/osc.php for more information
  + OSX: fixed focus-related issues when setting default text selections
  + OSX: fullscreen mode auto-hides menu, hides dock on 10.6+ (pref to auto-hide dock in prefs/general/advanced)
  + OSX: possible stability improvements in certain instances (IsWindow() improvements)
  + OSX: compatibility fixes for Mountain Lion beta
  + OSX: show error and keep device closed when unable to open a CoreAudio device
  + Performance meter: optimizations
  + Pitch shifters: reduced excessive flushing/improved performance on certain items
  + Pitch shifters: workaround for Elastique quality bug when using very short items
  + Preferences: fixed changing default project template
  + Project load: can be aborted on memory warning or missing media
  + Reasamplomatic: improved support for UTF-8 filenames
  + ReaScript: added function to send a simple OSC message to REAPER
  + ReaScript: increased maximum returned string length to 4MB
  + ReaScript: special Python handling for GetAudioAccessorSamples (support examining audio samples directly)
  + ReaTune: fixed overlap for offline analysis, other improvements
  + ReaTune: removed buffer mode configuration; PDC is always used when correction enabled, not used otherwise
  + ReaTune: when in analysis-only mode (tuner), offload processing to GUI thread for better performance
  + Record input menu: support for assigning inputs for all selected tracks
  + Record input menu: support for assigning sequential inputs for selected tracks
  + Region manager: avoid autoseek when selecting multiple items, clicking color/render columns
  + Region manager: selecting a marker/region scrolls it into view, if option enabled
  + Render dialog: improved focus setting on open
  + Screensets: fixed changing of autosave flags
  + Slip editing: improved sample-snap behavior
  + Take FX: take FX output is constrained to item+tail (for using tone generators, etc)
  + TCP/mixer: better autoscroll behavior
  + Toolbars: fixed actions to open floating toolbars 5-8 at mouse cursor
  + Track manager: right click in record arm column allows changing record settings
  + Track paste: do not offset by edit cursor when offset option for track template import is set
  + Track selection: do not select hidden tracks when shift+click selecting a range of tracks
  + Track/region manager: fixed color display bug
  + Undo: improved updating of various views when loading undo states via history
  + VST/AU: ensure that full FX state is saved with projects/templates
  + VST: bridging now supports SysEx to/from plug-ins
  + VST: fixed support for plug-ins with more than 64 inputs or outputs (Halion4)
  + WALTER: added new theme images master_mcp_io and master_tcp_io for master track
  + WALTER: added trans.sel.color, trans.curtimesig.color, made trans.rate.color affect both rate label and rate text
  + WALTER: fixed some overlay redraw issues
  + WAV writing: support for embedding cues from project markers, regions, or both

v4.151 - January 26 2012
  + OSX: fixed support for 10.4 (broken in 4.15)
  + ReWire: fixes for older versions of ReWire.bundle installed
  + ReWire: do not install ReWire.bundle v2.6 on OSX 10.4 (since it does not work on there)
  + ReWire: (to correct ReWire not working on 10.4 after 4.15, remove /Library/Application Support/Propellerhead Software/ReWire/ReWire.bundle, then run REAPER)

v4.15 - January 15 2012
  + API: added simple functions to safely access take and track audio
  + API: extensions and ReaScript can store/restore simple global state (GetExtState, SetExtState, etc)
  + API: extensions can add functions to ReaScript
  + AU: fixed wet/dry control on default pin mappings
  + Actions: relative item positions are preserved when moving item start or end
  + Auto recarm: faster changing of recarm state when operating on many tracks
  + Bridging: avoid unnecessary delays when bridge process failed to launch
  + Bridging: OSX support for bridging/firewalling 64 bit VST/AU 
  + Config import/export: UI improvement, added sections for chanmaps, scripts, menusets
  + Control surfaces: don't create undo points when any surface has touch state set
  + Envelope editing: fixed envelope point selection following time selection when option disabled
  + Filters: support for NOT and OR keywords (upper case, ORs have lowest precedence, so a b OR c d NOT e means (a and b) or (c and d and not e)
  + Freeze: fixed actions to freeze through last selected FX
  + MIDI editor: fixed hang when entering grid size of zero
  + Media item properties: immediately update properties window on apply
  + Memory metering: improved Win32 memory meter accuracy
  + Memory metering: option (enabled by default on 32 bit) to warn when memory use is high
  + Mixer: action to show/hide children of selected folder tracks
  + Parameter modulation: fixed switching between tempo-synced and unsynced LFO
  + Parameter modulation: no minimum or maximum for typed-in LFO speed
  + Project bay: fixed action to force refresh
  + Project bay: list offline FX
  + Project bay: option to zoom/scroll to selected items when mirroring selection
  + Project bay: right-click header to show/hide columns
  + Project bay: usage menu selects and scrolls to media items
  + ReWire: updated to ReWire 2.6
  + ReWire: OSX and Win64 now install ReWire libraries if necessary
  + ReWire: support for loading 64 bit ReWire devices 
  + ReWire: support for running 64 bit REAPER as ReWire slave (requires 64 bit host app, for now at least)
  + ReaScript: Python loading improvements
  + ReaScript: separate custom path preferences for 32-bit and 64-bit REAPER
  + ReaTune: clear/update analysis on demand in the manual correction tab
  + Region manager: delete key removes regions
  + Region manager: display time in project timeline format
  + Region manager: edit region/marker names in place
  + Region manager: optionally display project markers
  + Region manager: right-click header to show/hide columns
  + Region manager: seek when selecting a marker or region (optional)
  + Regions: improved timesignature handling when duplicating regions
  + Render dialog: remembers last window position
  + Render dialog: saves changes even if window closed without rendering
  + Screensets: update track manager when switching track views
  + Screensets: save/load TCP visibility with track views
  + TCP/Mixer: immediate feedback when sweep recarm/mute/solo controls across multiple tracks
  + TCP/Mixer: sweeping mute/solo/record-arm respects grouping (shift held overrides)
  + TCP/Mixer: sweeping record-arm buttons clears track auto-recarm state on mouseup
  + Take lanes: option to display empty lanes is now global, not per-project
  + Track manager: double-click track number to scroll track into view
  + Track manager: MIDI column (double-click to open all track MIDI in editor)
  + Track manager: action to delete selected tracks (via menu or delete key)
  + Track manager: changing record-arm state clears track auto-recarm 
  + Track manager: doubleclick on toggle columns works properly
  + Track manager: drag tracks in manager to rearrange tracks in project (optional)
  + Track manager: fixed remembering previous window location on OSX
  + Track manager: if track MIDI is already open, double-click MIDI column to close
  + Track manager: mute/solo/record-arm changes respect grouping (shift held overrides)
  + Track manager: option for filter to hide child tracks only if the folder parent is hidden
  + Track manager: option to auto-scroll to selected track when mirroring selection
  + Track manager: right-click FX column to open individual track FX
  + Track manager: right-click header to show/hide columns
  + Track manager: set last touched track when selecting from the track manager
  + Track manager: set track colors
  + Track recording settings window: fixed potential crash under certain instances
  + Track templates: support for saving envelopes in templates
  + Track templates: option to offset imported template items (and envelopes) by edit cursor
  + VST: fix for saving presets for plugins with non-automatable parameters
  + Windows: 64-bit build now compiled with ICC
  + Windows: better ASIO device selection when running both 32-bit and 64-bit REAPER on the same machine

v4.14 - December 18 2011
  + Audio Units: improved support for plug-ins that use unordered parameter IDs
  + Envelopes: added option to not show affected envelopes when moving items across tracks
  + Grid navigation: fixed for ts changes and larger grid divisions
  + JS: updated IX effects
  + Media buffering: option for lower buffer size when per-take FX open (to reduce visual lag)
  + Media explorer: option to go to next item at end of preview
  + Media item fades: optional handles for editing fades when the media item is small
  + MIDI: improved merging of multiple MIDI sources (glue, receives, record output)
  + MIDI: looped overdub recording fix for crash bug (issue ID 3807)
  + MIDI editor: actions to remove trailing (or all) notes of less than a certain length
  + MIDI editor: fixed odd behavior when option enabled to snap notes to the left
  + Mouse modifiers: adjust envelope bezier curvature for all selected points at once
  + Mouse modifiers: fix for painting a straight line of notes over an existing note
  + Mouse modifiers: select all MIDI notes touched while dragging (ctrl+alt+right-drag by default)
  + ReaScript/API: fix for getting track mute and selected state 
  + ReaScript: overhaul, many internal changes
  + ReaScript: Perl support removed for now
  + ReaScript: Perl support will come back when/if http://gitorious.org/perl-ctypes is completed
  + ReaScript: see Help/HTML lists/ReaScript documentation for more information
  + ReaScript: better error reporting
  + ReaScript: more flexible Python support, should work with almost any version of Python on any platform
  + ReaScript: set current script directory as start of path (look for modules there first)
  + ReaScript: support for importing one ReaScript module into another
  + ReaScript: support for setting a custom external editor for .py files (Preferences/External Editors)
  + ReaTune: new instances on per-take FX will operate in item-space rather than in project-space
  + ReaTune: resizable user interface, many UI improvements
  + Regions: improved handling of envelopes when moving/copying regions
  + Ripple editing: improved handling of envelope points, MIDI items, tempo changes when removing time
  + Ruler: improved display relating to time signature markers and tempo ramps
  + Tempo maps: improved tempo map editing behavior
  + Theming: button overlay images now inherit scaling attributes from the underlying button image
  + Theming: WALTER added reaper_version (example: 414) and mcp_maxfolderdepth
  + Time maps: fixed snapping bugs with ramped tempos and varying time signatures
  + Video: improved video frame display speed when seeking
  + VST: allow loading of OSX GRM plug-ins version 3.1.1 or higher (earlier versions crash)
  + VST: fix for occasional blank UI for Celemony plugins

v4.13 - November 21 2011
  + Bridging: fixed effSetSpeakerArrangement on bridged plug-ins
  + OSX: fixed linked framework versioning for certain plug-ins on Lion
  + OSX: tweaked startup sequence to avoid stalling after scanning VSTs that have UI on scan
  + OSX: special case for iZotope Trash VST UI not working

v4.12 - November 19 2011
  + FX browser: fixed folder case sensitivity issue
  + FX bypass: update checkboxes for all FX in chain during bypass automation
  + MIDI: fixed sending noteoffs in certain loop instances
  + MIDI: fixed bug when importing MIDI files with time signature changes not on whole bars
  + OSX: listview column resize behavior now matches that of Windows (no autoresize)
  + Render dialog: avoid adding extraneous extensions on file browse
  + Toolbars: fixed icon loading bugs, added default icon setting for toolbar editor
  + Track send window: better multichannel hardware output labels
  + Video: potential priority inversion/deadlock fix
  + Window top pin buttons: potential fix for leftover pin buttons
  + API: added GetTrackColor, SetTrackColor

v4.11 - November 12 2011
  + [4.111 - November 13 2011] OSX64/Win64: stability fix
  + Actions window: color of group control text uses theming
  + AU: more default preset loading, aupreset export support
  + Freeze: corrected functionality when using playspeed/playspeed envelopes
  + FX bypass: fixed recording bypass automation
  + JS: fixed IX/MIDI_Tool to not fudge timings
  + JS: now supports << and >> (bitwise shift) operators -- note parameters are converted to integer so 3.4 << 2 == 12, etc
  + Media explorer: native view can be switched to list view from details on Windows
  + Media items: option to show a volume knob, rather than dragging the top edge of the item
  + Media items: optionally display item/take gain alongside pitch and playrate
  + Media items: better behavior when doubleclicking item buttons, other things
  + Metronome/click source: default click sound start sync configuration (hard, soft, old deprecated)
  + MIDI: fixed sending of excess pitch/note/cc resets on loop
  + MIDI: never pool MIDI source data when duplicating takes within the same media item
  + MIDI: display MIDI notes while recording in regular track input mode
  + MIDI recording: better support for disabling latency compensation
  + MIDI recording: recording to end of loop extends events to end regardless of latency compensation
  + MIDI recording: in overdub/replace recording, auto input monitoring controls whether notes are monitored outside of punch regions
  + MIDI recording: improved note tracking for looped record-input mode
  + MIDI recording: added latch-replace recording mode
  + MIDI recording: minor reorganization of track record menu
  + MIDI recording: in overdub/replace, do not display recorded item until MIDI input is detected, unless recording starts at the start of the loop selection
  + MIDI recording: better handling of time selection punches (do not extend items outside of the punch area)
  + MIDI recording: monitoring of MIDI in overdub/replace matches punch behavior in other modes 
  + MIDI editor: fixed triplet/dotted grid display when zoomed out
  + MIDI editor: vertical drag of bank/program select event scrolls through programs in that bank
  + MIDI editor: vertical CC edit does not affect selected CC in other lanes
  + MIDI editor: fixed/optimized some behaviors when using ghost items or file based items
  + MIDI editor: allow sweep-editing program change and bank select messages just like any other CC 
  + MIDI editor: allow editing velocity for notes that start slightly before the visible edge of the media item
  + MIDI editor: fixed conflict with some combinations of mouse modifiers for scrub and insert notes
  + MIDI editor: fixed set time selection to notes in list editor
  + MIDI editor: reduced flicker after selection change in list editor
  + MIDI editor: improved undo messages for some actions, fixed zoom one loop interation action
  + Mouse modifiers: fixed envelope lane click behaviors when left-drag is set to marquee select
  + OSX: fixed dropping media files onto TCP
  + OSX: fixed custom actions dialog issue
  + OSX: mousewheel fix for Carbon plugins and plugin spawned utility windows
  + OSX: improved GUID generation, should fix MIDI pooling errors
  + Pre-roll: MIDI note tracking (notes held in preroll are played/recorded at the record time)
  + Pre-roll: disabled looping while in preroll
  + Project bay: fixed display of FX presets
  + ReaComp: corrected sound when first processing after reset and a preset load
  + Render dialog: fixed possible crash with certain presets
  + Regions: added action to create a separate region for each selected media item (useful for batch renders)
  + ReaControlMIDI: fixed MIDI jitter when transposing
  + Theme: various list/tree windows can now have their colors configured, separate theme elements for MIDI list editor
  + Theme: new (themable) appearance of project bay and screenset tabs
  + Time display: fixed occasional rounding issue
  + UI: improved handling of reshowing mouse cursors on knobs
  + Video: updated bundled FFmpeg librairies to latest version (v53)
  + Video: video support now obeys track mute envelopes -- can now edit video effectively using mute envelopes
  + Video: improved QuickTime audio decoding compatibility on Windows
  + Video: experimental support for QuickTime decoding on OSX64 and Win64 via bridge
  + VST: corrected speaker arrangement notification for 64 channel plug-ins
  + VST: fix for large channel counts on Win32 (compiler bug)
  + VST: added support for VST effSetSpeakerArrangement and offline processing notification when bridged
  + WASAPI: improved 24 bit exclusive mode compatibility
  + Wavpack: fixed decoding of single-block wavpack files failing in certain instances (Wavpack bug)

v4.10 - September 30 2011
  + Actions: toggle multichannel track metering, now in track menu
  + API: added SetProjectMarker3() and AddProjectMarker2() for setting custom marker colors
  + API: threading fixes for GetSetObjectState() and other related APIs
  + Directory cleanup: now looks for media references in project bay media items
  + Envelopes: fixed editing point values for FX wet/dry envelopes
  + Envelopes: pitch envelopes snap configuration (1 semitone, 50 cent, 25 cent, 10 cent, 5 cent, 1 cent, off)
v4.11 - November 12 2011
  + Fades/crossfades: prevent unintentional crossfade edits when media items are adjacent but not crossfaded
  + FX: fixed possible excess midi notes on loop when PDC FX are used
  + FX: improved undo state tracking when copying/moving FX between tracks
  + FX: if project samplerate set and loading project, try to initialize loaded plug-ins at correct rate (avoid later reinit)
  + FX: pin mappings are now stored more safely, fix for possible race conditions
  + Freeze: actions to render tracks in-place with FX, then save/remove existing media and online FX
  + Freeze: menu actions in FX chain window to freeze track up to last selected FX
  + Grouping: fix for rare item group reuse bug
  + Media explorer: fixed crash issue when group policy prevented embedded explorer (falls back to non-explorer view)
  + Metering: new multichannel tracks default to multichannel metering enabled
  + Metering: master multichannel metering is now optional
  + Mixer: scroll improvements/fixes
  + Mixer: opening/unhiding mixer now makes last selected track visible
  + Mixer: restore undocked mixer window position in docked screensets
  + MIDI: use MIDI track name event when importing files
  + MIDI files: options to automatically snap time signature changes, tempo changes on file import
  + MIDI editor: switching sources via filter window no longer unhides all other sources
  + MIDI editor: undo fixes, especially related to list editor
  + MIDI editor: improved list view default focus, toolbar focus 
  + MIDI editor: note properties fixed reset of combo boxes on multiple note selection
  + MIDI editor: inline editor marquee fix
  + MIDI editor: fixed bug when quantizing notes that were drawn in (not painted or recorded)
  + MIDI editor: fixed context menu doubleness when clicking above piano keys
  + MIDI editor: support painting notes in drum mode with very small grid
  + MIDI editor: step recording works when docked
  + Mouse modifiers: support ripple edit (off, one track, all tracks) while moving items
  + Mouse modifiers: import/export mouse modifier support (.ReaperMouseMap files)
  + Mouse modifiers: obey user preferences to seek playback when middle clicking ruler or arrange view
  + OSX: better behavior when using modal windows (such as save as with convert) when REAPER inactive
  + Playback: corrected minor rounding bug on playback start in certain instances
  + Relative snap: avoid clearing snap offset when copying media items
  + Render: new user setting for tail length to use in project render, stem render, track freeze
  + Render: fixed certain issues with filename wildcards
  + Scale finder: button to use selected notes in MIDI editor  
  + Scale finder: added topmost window pin
  + Scrub/jog: don't snap edit cursor
  + Sends: shift+drag IO from unselected track to selected uses all selected tracks as receivers
  + SRC: fixed quality/synchronization issue (4.0x regression)
  + Toolbars: store toolbar assignments in screensets
  + Topmost pin buttons: bug fixes, buttons now remember their last states (based on window title)
  + Track manager, region manager, project bay: columns can be reordered
  + Track manager: added freeze column/button
  + Undo history: improved keyboard behavior (return loads state, escape when docked sets focus to arrange, other keys passed through to main)
  + Vertical zooming: scrollbar fixes, better behavior
  + Video: improved rendering accuracy, support for rendering with playrates
  + Video: hide topmost pin when going fullscreen
  + Video: updated API to support the newest FFmpeg/libav version (v53)
  + VST: support effSetSpeakerArrangement notifications for plug-ins 

v4.02 - August 22 2011
  + Count-in: follow tempo and time signature at play start position, not prior to it
  + Directory cleanup: ignore files that are retained in project bays
  + Envelopes: allow editing initial envelope point regardless of editing preferences
  + Envelopes: option to add transition point when recording automation while playback is stopped
  + Envelopes: clicking on an envelope point no longer seeks playback
  + MIDI: fixed stuck notes when looping
  + MIDI: renaming one pooled take renames all pooled takes
  + MIDI editor: fixed bad behavior when drawing over existing CC events with snap enabled
  + MIDI editor: fixed horizontal zoom with mouse cursor center, when using project-synced timebase
  + MIDI editor: avoid accidental time selections in ruler
  + MIDI editor: support negative swing quantize
  + MIDI editor: fixed possible oddness when editing CC with auto-select CC enabled 
  + Media explorer: added action to close media explorer
  + Mouse modifiers: support draw/edit/ramp CC events when starting the edit over a CC event
  + Mouse modifiers: added contexts for arrange view middle-click, middle-drag, edit cursor handle
  + Mouse modifiers: many new options for marquee zoom, restore zoom, browser scroll, scrub/jog behaviors
  + Mouse modifiers: better preservation of pre-existing user customizations
  + Mouse modifiers: behaviors to move item edge without changing fade-in end or fade-out start time
  + Mouse modifiers: better behavior when assigning mouse click to actions like "move item to cursor"
  + Mouse modifiers: control+right-click creates a time selection by default (as in 3.x)
  + Nudge: actions to nudge item contents apply only to the active take (similar to slip editing)
  + Slip editing: fix for possible hang 
  + Scrub: avoid senseless jogs after edit cursor moves
  + Project settings: reorganization, more sensible layout hopefully
  + Project settings: added track mixing bit depth configuration
  + Project bay: use file resolving when loading retained items
  + Project bay: show error message when move/copy file fails because the target file already exists
  + Project bay: list tracks by name
  + Project bay: fixed drag/render-drag of multiple items on OSX
  + ReaSurround: continue to increase FX IO count when dragging IO from tracks
  + Render queue: fixed display of time-selection renders
  + Samplitude EDL: support for offsets/lengths greater than 2 billion samples
  + Stem rendering: faster, does not process irrelevant tracks, option in prefs/rendering for old behavior
  + Volume displays: fixed display of certain gain values in default theme
  + VST: fixed preset selection when there are multiple factory presets with the same name
  + Windows Aero: keep always on top pins out of window list when REAPER non-responsive
  + Zoom/scroll: now has a stack of recent zoom/scrolls, added actions to restore previous/next
  + Zoom: fixed display of item backgrounds with very zoomed in and long project times

v4.01 - August 4 2011
  + VST/AU/ReWire bridging: better support for resuming from sleep
  + MIDI editor: fixed crash when undoing all the way back to when the media item was created
  + MIDI editor: action to select all muted notes
  + MIDI editor: added actions to select all CC in time selection, in all visible lanes, or all lanes
  + OSX: fixed audio devices with trailing spaces in their names being reset on startup
  + Project bay: fixed import menu checkmarks, button labels
  + Project bay: fixed autoretained item saving with project
  + Toolbar arrange: fixed potential infinite loop
  + Virtual MIDI keyboard: properly update keys on theme change
  + Windows: installer improvements relating to path setting on x64, installer size, and portable installs

v4.0 - August 3 2011

4.0 headline changes:

  + Dockers and toolbars are freely dockable in main window or floatable (up to 16 separate dockers/toolbars)
    Drag tabs from a docker to rearrange tabs, create a new docker in another location, or float windows
    Create, customize, and freely dock or float toolbars for different uses
  + Envelope editing
    Support for copying envelope points with the mouse
    Groups of selected points act like contiguous items when moving or copying
    Shift+control+drag on envelope segment (customizable) edits the envelope level within the time selection  
  + Media Explorer preview time selection
    Select a portion of a media file to insert into a project
    Optionally loop and/or stretch the selected portion to fit the destination area and tempo
    Scroll and zoom the media peaks preview
    Control+alt drag the time selection to render a new cropped file to REAPER, the desktop, or a folder
    Control+alt drag the time selection to sampler plugins or other applications that support drag/drop    
  + Media Item Properties dialog
    Item/Take Properties dialog stays open while you work elsewhere, follows changes in selected items
    Pitch adjust and playrate fields accept values (such as "1.004") or simple operations (such as "x2")
  + MIDI editing
    Set user-definable scales and chords in the MIDI editor for drawing and editing notes  
    Using mouse modifiers, copy/duplicate/paste actions can create pooled (ghosted) in-project MIDI source data
    Editing any pooled MIDI media item affects all media items that share the same pooled data
    Un-pool shared MIDI by gluing the media item or via MIDI source properties dialog
    New MIDI Contents menu for switching MIDI editor between different MIDI media items in the project
    MIDI filter improvements when displaying multiple media items in the same editor    
    Many new mouse modifier behaviors to paint notes and chords, edit arpeggios, etc    
  + Mouse modifier customization
    Customize mouse behavior when using keyboard modifiers in 40 different contexts
    In many contexts, mouse click and mouse drag can be customized separately    
    Assign different behaviors to the mouse when over the top or bottom half of a media item
    Assign any action (including custom actions) to mouse click or double-click in most contexts
    Existing/legacy mouse preferences are preserved, but user changes to mousemap settings will override    
    Actions to reassign default mouse action for any context   
    Lots of customizable choices of behavior, for example:    
      Move/copy just the selected area of media items, or all selected media items
      Edit edges/fades for all selected items, or just those whose edges line up
      Adjust media item volume or pitch
      Move envelope points or MIDI notes/CC just horizontally or vertically
      Assign marquee selection to left-click
      Assign hand-drag-scroll to right-click
      Many other customizable behaviors (50 behaviors just for media items)
  + Multichannel track monitoring/input recording/routing
    Allow choosing greater than 2 channels of input (inputs must be sequential, though)
    Multichannel track meters
    Freely route any number of track channels to other tracks, hardware outputs
  + Pitch shift envelopes
    Each take gets its own pitch shift envelope, including customized range and snap settings    
  + Project Bay
    Manage, preview, search, replace project source media, media items, and FX
    Manage media item groups and take comps for the project
    Save/load project bay contents to create working sets of source media/FX for different purposes
    Store sets of edited media items (including fades, stretch, pitch shift, etc) to use in any project    
    Media and FX+preset combinations can be stored, inserted, and switched in the project    
  + ReaSurround: multi-channel surround panner with support for any number of input channels and speakers
    Freely position input sources and speakers in 3D space
    Configurable per-channel diffusion (treat input source audio as a shaped area rather than a point)
    Drag track IO button to ReaSurround to add new input sources    
  + Render and batch-convert improvements
    Support for rendering project tracks and time regions to separate folders and files
    Customizable wildcards provide great flexibility in naming batches of rendered/converted files 
    Save render presets for workflow efficiency    
  + Take lanes and comping
    Take lanes remain aligned by recording pass, creating empty lanes as needed (optional)
    Each recording pass gets its own take lane, even when recording overlaps existing items
    Recording no longer splits existing media items into different numbers of take lanes    
    Save/load named comps (sets of takes from multiple media items)
    A/B or cycle through saved comps to audition/compare
  + Theme layout support (WALTER)
    Per-track TCP/MCP layout support
    Screensets support saving/restoring layouts
    Old themes use default layouts available in Plugins/default_layouts.txt
    New themes can define their own layouts
    Layouts can be switched via menu, screensets/layouts dialog, or customizable actions
    See: http://www-dev.reaper.fm/sdk/walter/walter.php      
  + Time selection
    Default copy/cut/glue actions respect time selection if there is one (including leading/trailing space)
    Using mouse modifiers, copy/move behaviors can respect time selection if there is one     
    Editing behavior can be customized separately for media items, envelope points, MIDI editing
  + Track input FX chain support
    FX in the input FX chain only run when record armed, and only affect the signal coming in
    Input MIDI or audio, and set recording to be MIDI or audio independent of the input format
  + Track pan improvements
    Track stereo width controls and envelopes
    Configurable track pan modes: balance, stereo pan (L/R + width), dual pan, and classic (3.x) balance
  + Transient detection and Dynamic Split improvements
    Separate threshold and sensitivity settings, and other options
  + Video: many performance improvements, support for sequencing still images
  + Volume faders: new default hardware-emulation fader taper
      
4.0 sub-headline changes: 

  + Always-on-top (pin) button for most windows, including FX windows
  + Automute safety feature is a global setting (rather than per-project), enabled by default
  + Crossfades: separate default settings for crossfade shapes, crossfade-on-split length
  + DDP export support (thanks to Sergej Marsnjak)
  + Envelopes: configurable transition time for automatically created edge points
    Allows adjusting the ramp time when editing envelope segments
  + FX: combined REAPER presets and VST patches/AU presets in a single dropdown
  + FX: user can save a preset as default, to be automatically set when inserting the FX
  + FX browser: option to display/change default preset without opening the FX
  + FX sidechains are draggable
    Drag track IO button to a plugin window to add destination track channels 3+4 and create a send
  + Installer (Windows): added "portable install" checkbox and more command line options
    "Portable install" will install REAPER with no icons, registry keys, or uninstaller
    User preferences and settings for portable installs are kept separate 
  + Live FX multiprocessing now works more effectively when tracks are in folders  
  + Media item fade drawing improvements, options to prevent editing fade-in/fade-out when the item is small
  + Media item selection sets can be named/saved/loaded using the screensets dialog
  + MIDI input/output: support for up to 62/64 separate input and output devices
  + Multichannel item improvements: allow choosing any mono/stereo pair from multichannel items
  + ReaVerb: huge realtime performance improvements
  + Region Manager: basic report-style dialog to manage time regions, naming, colors, and render behavior
  + Sample rate conversion: improved sub-sample accuracy when used with project sample rate snap
  + Sample rate snap (enable in the snap settings dialog), improved sample-level display
  + Scale finder dialog: identify scales and chords based on input notes
  + Splash screen: displays when unloading projects (useful for status), other improvements
  + Time selection is editable in MIDI editor
  + Track Manager: basic report-style dialog to manage track visibility and selection
  + Track and send faders can be linked to MIDI volume/pan
  + Unlooped media item editing: dragging either edge of an item pads with silence  
  + Video playback CPU/RAM/performance improvements and fixes
  + VoiceOver improvements for OSX (improves accessibility for visually impaired users)
  + WASAPI audio support (Windows), improvements to WDM/MME/DirectSound output modes

For full log see: http://www.reaper.fm/whatsnew.txt

v3.0-v3.7x  - May 2009 - August 2011
v2.0-v2.5x  - October 2007 - October 2008
v1.0-v1.888 - August 2006 - August 2007
v0.2-v0.999 - December 2005 - July 2006

